---------------------------------------------------
-- MessierBox.lua
-- Edit by Lygin Gennady a.k.a. Croc 23.01.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local MessierFrameWidth, MessierFrameHeight = 170, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
MessierBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

MessierButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 9)
    :text(_(" M "))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(MessierBox,0,0,0,0)

MessierCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true)  
        :attach(MessierBox, 20, 0, 0, 0)

MessierBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    MessierButton.Visible = GuidesVisibility -- display or undisplay Button
    MessierCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if MessierCheck.Text ==  "o" then
		MessierFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

MessierButton.Action = (function()
        return
            function()
              display_Messier = not display_Messier;
                if display_Messier then  
                    actual_renderflags = celestia:getrenderflags()            
                    MessierFrame.Visible = true;                    
                    MessierCheck.Text = "o";             

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);

                --  границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:hideconstellations()
                    celestia:hide("constellations");
                    celestia:hidelabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:hide("boundaries"); -- границы

                 -- объекты  
                 --   celestia:show("galaxies"); -- галактики
                    celestia:show("globulars"); -- шаровые скопления
                    celestia:show("openclusters"); -- рассеянные скопления
                    celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:hide("planets"); -- планеты                  

                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                 -- celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:hidelabel("planets")  -- планеты
                    celestia:hidelabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:setstarstyle("point") 
                else                    
                    MessierFrame.Visible = false;                   
                    MessierCheck.Text = "";

                    radians = math.rad(35)
                    obs:setfov(radians)
                    celestia:setfaintestvisible(8.0) 
                    celestia:setstarstyle("disc") 
                    celestia:setgalaxylightgain(0.5) 
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
MessierFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-MessierFrameWidth)/2, height-MessierFrameHeight-2, (width-MessierFrameWidth)/2, 2)

 MessierFrame.Customdraw = function(this)  

            if  Messier_firstTickDone then
            if not(MessierCloseButtonDone) then
                MessierCloseButtonDone = true;
                makeCloseButton(MessierCloseButton, MessierFrame, MessierButton);
            end
            else
                Messier_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;   
                if height>=768  then         
                    MessierFrame:attach(screenBox, width-MessierFrameWidth-36, height-MessierFrameHeight-128-27, 35, 128+27)
                else
                    MessierFrame:attach(screenBox, width-MessierFrameWidth-200, height-MessierFrameHeight-3, 200, 3)
                end
            end
        
  	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});  
	    textlayout:setpos(this.lb+10, this.tb - 15);       
            textlayout:println(_("CATALOG MESSIER - 1"));
end;
--------------------------------------------------------------------------
-- Подключение команд 
--------------------------------------------------------------------------
Messier101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Galaxy:"))
    :movable(false)
    :active(true)   
    :attach( MessierFrame, 3*1+38*0, 2+14*(gg-1), 155-3*1-38*1, 5+14*1)
--===================
Messier102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 31"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-2), 170-3*1-38*1, 5+14*2)

Messier102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 31");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(5.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)    
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 32"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-2), 155+15-3*2-38*2-1, 5+14*2)

Messier202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 32");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(2.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
-------------------------------------
Messier302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 33"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-2), 155+15-3*3-38*3-2, 5+14*2)

Messier302Box.Action = (function()
    return 
            function() 
            obj = celestia:find("M33A"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("M33B"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33C"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33D"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33E"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33F"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33G"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33H"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33K"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33L"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("M33M (centre)"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NGC 604"); 
            obj:mark("red", "diamond", 15)
            obj = celestia:find("NGC 595"); 
            obj:mark("red", "diamond", 15)
            obj = celestia:find("NGC 592"); 
            obj:mark("red", "diamond", 15)           
            obj = celestia:find("NGC 588"); 
            obj:mark("red", "diamond", 15)

            obj = celestia:find("IC 131"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 132"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 133"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 134"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 135"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 136"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 137"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 139"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 140"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 142"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("IC 143"); 
            obj:mark("red", "circle", 15)
            obj = celestia:find("M11-25"); 
            obj:mark("red", "circle", 15)

            local obj = celestia:find("M 33"); 
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(3.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier402Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 49"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-2), 170-3*4-38*4-3, 5+14*2)

Messier402Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 49");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae"); 
            end
        end
    end) ();
--===================
Messier103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 51"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-3), 170-3*1-38*1, 5+14*3)

Messier103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 51");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 58"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-3), 170-3*2-38*2-1, 5+14*3)

Messier203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 58");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.5) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 59"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-3), 170-3*3-38*3-2, 5+14*3)

Messier303Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 59");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier403Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 60"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-3), 170-3*4-38*4-3, 5+14*3)

Messier403Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 60");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 61"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-4), 170-3*1-38*1, 5+14*4)

Messier104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 61");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 63"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-4), 170-3*2-38*2-1, 5+14*4)

Messier204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 63");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.67)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 64"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-4), 170-3*3-38*3, 5+14*4)

Messier304Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 64");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.67)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier404Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 65"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-4), 170-3*4-38*4-3, 5+14*4)

Messier404Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 65");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.15)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 66"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-5), 170-3*1-38*1, 5+14*5)

Messier105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 66");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.15)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 74"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-5), 170-3*2-38*2-1, 5+14*5)

Messier205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 74");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.05)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 77"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-5), 170-3*3-38*3-2, 5+14*5)

Messier305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 77");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.05)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier405Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 81"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-5), 170-3*4-38*4-3, 5+14*5)

Messier405Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 81");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0.05)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 82"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-6), 170-3*1-38*1, 5+14*6)

Messier106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 82");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 83"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-6), 170-3*2-38*2-1, 5+14*6)

Messier206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 83");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 84"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-6), 170-3*3-38*3-2, 5+14*6)

Messier306Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 84");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
------------------------------------
Messier406Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 85"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-6), 170-3*4-38*4-3, 5+14*6)

Messier406Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("M 85");
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
--===================
Messier107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 86"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-7), 170-3*1-38*1, 5+14*7)

Messier107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 86");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 87"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-7), 170-3*2-38*2-1, 5+14*7)

Messier207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 87");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 88"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-7), 170-3*3-38*3-2, 5+14*7)

Messier307Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 88");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier407Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 89"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-7), 170-3*4-38*4-3, 5+14*7)

Messier407Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 89");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
--===================
Messier108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 90"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-8), 170-3*1-38*1, 5+14*8)

Messier108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 90");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 91"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-8), 170-3*2-38*2-1, 5+14*8)

Messier208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 91");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 94"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-8), 170-3*3-38*3-2, 5+14*8)

Messier308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 94");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier408Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 95"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-8), 170-3*4-38*4-3, 5+14*8)

Messier408Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 95");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 96"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-9), 170-3*1-38*1, 5+14*9)

Messier109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 96");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 98"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-9), 170-3*2-38*2-1, 5+14*9)

Messier209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 98");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 99"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-9), 170-3*3-38*3-2, 5+14*9)

Messier309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 99");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
------------------------------------
Messier409Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M100"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-9), 170-3*4-38*4-3, 5+14*9)

Messier409Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 100");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M101"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-10), 170-3*1-38*1, 5+14*10)

Messier110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 101");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.15)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M102"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-10), 170-3*2-38*2-1, 5+14*10)

Messier210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 102");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
------------------------------------
Messier310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M104"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-10), 170-3*3-38*3-2, 5+14*10)

Messier310Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 104");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier410Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M105"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-10), 170-3*4-38*4-3, 5+14*10)

Messier410Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 105");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
--===================
Messier111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M106"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-11), 170-3*1-38*1, 5+14*11)

Messier111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 106");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
------------------------------------
Messier211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M108"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-11), 170-3*2-38*2-1, 5+14*11)

Messier211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 108");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}  
            end
        end
    end) ();
-------------------------------------
Messier311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M109"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-11), 170-3*3-38*3-2, 5+14*11)

Messier311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 109");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
-------------------------------------
Messier411Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M110"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-11), 170-3*4-38*4-3, 5+14*11)

Messier411Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 110");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
            celestia:hide("nebulae");
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true} 
            end
        end
    end) ();
--===================
Messier112Box = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor(cbubordoff)      
    :textfont(smallfont) 
     :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Globular clusters:"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-12), 170-3*1-38*1, 5+14*12)
--===================
Messier113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 2"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-13), 170-3*1-38*1, 5+14*13)

Messier113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 2");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies"); 
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 3"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-13), 170-3*2-38*2-1, 5+14*13)

Messier213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 3");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 4"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-13), 170-3*3-38*3-2, 5+14*13)

Messier313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 4");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier413Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 5"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-13), 170-3*4-38*4-3, 5+14*13)

Messier413Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 5");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4) 
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
--===================
Messier114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 9"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-14), 170-3*1-38*1, 5+14*14)

Messier114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 9");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 10"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-14), 170-3*2-38*2-1, 5+14*14)

Messier214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 10");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 12"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-14), 170-3*3-38*3-2, 5+14*14)

Messier314Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 12");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier414Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 13"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-14), 170-3*4-38*4-3, 5+14*14)

Messier414Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 13");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
--===================
Messier115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 14"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-15), 170-3*1-38*1, 5+14*15)

Messier115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 14");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 15"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-15), 170-3*2-38*2-1, 5+14*15)

Messier215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 15");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 19"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-15), 170-3*3-38*3-2, 5+14*15)

Messier315Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 19");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier415Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 22"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-15), 170-3*4-38*4-3, 5+14*15)

Messier415Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 22");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
--===================
Messier116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 28"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-16), 170-3*1-38*1, 5+14*16)

Messier116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 28");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.2)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
-------------------------------------
Messier216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 30"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-16), 170-3*2-38*2-1, 5+14*16)

Messier216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 30");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 53"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-16), 170-3*3-38*3-2, 5+14*16)

Messier316Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 53");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.03)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier416Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 54"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-16), 170-3*4-38*4-3, 5+14*16)

Messier416Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 54");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.033)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
--===================
Messier117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 55"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-17), 170-3*1-38*1, 5+14*17)

Messier117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 55");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
-------------------------------------
Messier217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 56"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-17), 170-3*2-38*2-1, 5+14*17)

Messier217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 56");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.033)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 62"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-17), 170-3*3-38*3-2, 5+14*17)

Messier317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 62");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier417Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 68"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-17), 170-3*4-38*4-3, 5+14*17)

Messier417Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 68");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.4)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
--===================
Messier118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 69"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-18), 170-3*1-38*1, 5+14*18)

Messier118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 69");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.083)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
------------------------------------
Messier218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 70"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-18), 170-3*2-38*2-1, 5+14*18)

Messier218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 70");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 71"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-18), 170-3*3-38*3-2, 5+14*18)

Messier318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 71");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier418Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 72"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-18), 170-3*4-38*4-3, 5+14*18)

Messier418Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 72");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
--===================
Messier119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 75"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-19), 170-3*1-38*1, 5+14*19)

Messier119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 75");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
------------------------------------
Messier219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 79"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-19), 170-3*2-38*2-1, 5+14*19)

Messier219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 79");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
-------------------------------------
Messier319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 80"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-19), 170-3*3-38*3-2, 5+14*19)

Messier319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 80");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();
------------------------------------
Messier419Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 92"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-19), 170-3*4-38*4-3, 5+14*19)

Messier419Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 92");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0)
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) ();  
--===================
Messier120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M107"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-20), 170-3*1-38*1, 5+14*20)

Messier120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 107");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               celestia:hide("nebulae");
               celestia:show("globulars");
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0) 
               celestia:hide("galaxies");
               celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 
-------------------------------------
Messier220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(cbutextoff)   
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-20), 170-3*2-38*2-1, 5+14*20)
-------------------------------------
Messier320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(cbutextoff)   
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-20), 170-3*3-38*3-2, 5+14*20)
-------------------------------------
Messier420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(cbutextoff)   
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-20), 170-3*4-38*4-3, 5+14*20)
 --==================
Messier121Box = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor({0.2,0.8,1,1})   
    :textpos("center")    
    :movetext(0, 7)
    :text(_("CATALOG MESSIER - 2"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame,  3, 2+14*(gg-21), 3, 5+14*21)
--===================
Messier122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Open clusters:"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-22), 170-3*1-38*1, 5+14*22)


--===================
Messier123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 6"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-23), 170-3*1-38*1, 5+14*23)

Messier123Box.Action = (function()
    return 
           function()  
            local obj = celestia:find("M 6");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.72)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies"); 
            celestia:setlabelflags{openclusters = true}
            end 
        end
    end) (); 
-------------------------------------
Messier223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 7"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-23), 170-3*2-38*2-1, 5+14*23)

Messier223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 7");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(2.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 11"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-23), 170-3*3-38*3-2, 5+14*23)

Messier323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 11");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier423Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 18"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-23), 170-3*4-38*4-3, 5+14*23)

Messier423Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 18");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 21"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-24), 170-3*1-38*1, 5+14*24)

Messier124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 21");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.4)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
-------------------------------------
Messier224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 23"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-24), 170-3*2-38*2-1, 5+14*24)

Messier224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 23");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 25"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-24), 170-3*3-38*3-2, 5+14*24)

Messier324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 25");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.85)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier424Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 26"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-24), 170-3*4-38*4-3, 5+14*24)

Messier424Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 26");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
     :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 29"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-25), 170-3*1-38*1, 5+14*25)

Messier125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 29");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.27)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
-------------------------------------
Messier225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 34"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-25), 170-3*2-38*2-1, 5+14*25)

Messier225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 34");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 35"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-25), 170-3*3-38*3-2, 5+14*25)

Messier325Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 35");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.75)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier425Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 36"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-25), 170-3*4-38*4-3, 5+14*25)

Messier425Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 36");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
--===================
Messier126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 37"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-26), 170-3*1-38*1, 5+14*26)

Messier126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 37");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
-------------------------------------
Messier226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 38"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-26), 170-3*2-38*2-1, 5+14*26)

Messier226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 38");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 39"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-26), 170-3*3-38*3-2, 5+14*26)

Messier326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 39");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.85)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 41"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-26), 170-3*4-38*4-3, 5+14*26)

Messier426Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 41");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 44"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-27), 170-3*1-38*1, 5+14*27)

Messier127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 44");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(2.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
------------------------------------
Messier227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})   
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 45"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-27), 170-3*2-38*2-1, 5+14*27)

Messier227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 45");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(4.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.3) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 46"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-27), 170-3*3-38*3-2, 5+14*27)

Messier327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 46");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.6)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 47"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-27), 170-3*4-38*4-3, 5+14*27)

Messier427Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 47");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 48"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-28), 170-3*1-38*1, 5+14*28)

Messier128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 48");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.85)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
------------------------------------
Messier228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 50"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-28), 170-3*2-38*2-1, 5+14*28)

Messier228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 50");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 52"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-28), 170-3*3-38*3-2, 5+14*28)

Messier328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 52");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier428Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})       
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 67"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-28), 170-3*4-38*4-3, 5+14*28)

Messier428Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 67");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 93"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-29), 170-3*1-38*1, 5+14*29)

Messier129Box.Action = (function()
    return 
           function()     
            local obj = celestia:find("M 93");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
-------------------------------------
Messier229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M103"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-29), 170-3*2-38*2-1, 5+14*29)

Messier229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 103");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)  
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-29), 170-3*3-38*3-2, 5+14*29)
---------------------------------------
Messier429Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)       
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-29), 170-3*4-38*4-3, 5+14*29)
--===================
Messier130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Open clusters + Nebula:"))
    :movable(false)
    :active(true)   
    :attach( MessierFrame, 3*1+38*0, 2+14*(gg-30), 170-3*1-38*1, 5+14*30)
--===================
Messier131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 8"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-31), 170-3*1-38*1, 5+14*31)

Messier131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 8");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(4.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 16"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-31), 170-3*2-38*2-1, 5+14*31)

Messier231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 16");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 17"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-31), 170-3*3-38*3-2, 5+14*31)

Messier331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 17");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
------------------------------------
Messier431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 20"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-31), 170-3*4-38*4-3, 5+14*31)

Messier431Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 20");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Nebula:"))
    :movable(false)
    :active(true)   
    :attach( MessierFrame, 3*1+38*0, 2+14*(gg-32), 170-3*1-38*1, 5+14*32)
-------------------------------------
Messier133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 1"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-33), 170-3*1-38*1, 5+14*33)

Messier133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 1");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
------------------------------------
Messier233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 27"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-33), 170-3*2-38*2-1, 5+14*33)

Messier233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 27");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
-------------------------------------
Messier333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 42"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-33), 170-3*3-38*3-2, 5+14*33)

Messier333Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 42");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(2.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
-------------------------------------
Messier433Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 43"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-33), 170-3*4-38*4-3, 5+14*33)

Messier433Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 43");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
--===================
Messier134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 57"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-34), 170-3*1-38*1, 5+14*34)

Messier134Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("M 57");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
-------------------------------------
Messier234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 76"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-34), 170-3*2-38*2-1, 5+14*34)

Messier234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 76");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
-------------------------------------
Messier334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color2) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 78"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-34), 170-3*3-38*3-2, 5+14*34)

Messier334Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 78");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) ();
-------------------------------------
Messier434Box = CXBox:new()
    :init(0, 0, 0, 0)    
    :bordercolor(color2)  
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 97"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-34), 170-3*4-38*4-3, 5+14*34)

Messier434Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 97");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:show("nebulae");
            celestia:hide("galaxies");
            end
        end
    end) (); 
--===================
Messier135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
     :textcolor({1,0,0,.8})   
    :textpos("left")    
    :movetext(-5, 10)
    :text(_("Other objects:"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-38), 170-3*1-38*1, 5+14*35)
--===================
Messier136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 24"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-36), 170-3*1-38*1, 5+14*36)

Messier136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 24");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(8.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
-------------------------------------
Messier236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 40"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*2+38*1+1, 2+14*(gg-36), 170-3*2-38*2-1, 5+14*36)

Messier236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 40");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6}) 
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M 73"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-36), 170-3*3-38*3-2, 5+14*36)

Messier336Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M 73");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) ();
-------------------------------------
Messier436Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)     
    --:fillcolor({0,1,0,.5})
    :textfont(normalfont) 
    :textcolor({0,1,0,.7}) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*4+38*3+3, 2+14*(gg-36), 170-3*4-38*4-3, 5+14*36)

--===================
Messier137Box = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor({0.2,0.8,1,1})   
    :textpos("center")    
    :movetext(0, 7)
    :text(_("Objects out Catalog"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame,  3, 2+14*(gg-37), 3, 5+14*37)
--===================
Messier138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)        
    --:fillcolor({0,1,0,.8})
    :textfont(smallfont) 
    :textcolor({1,1,0,.8})    
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Milky Way"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-38), 170-3*2-38*2-1, 5+14*38)

Messier138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Milky Way");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(120.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0)
               celestia:setgalaxylightgain(0.7)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}
            end
        end
    end) (); 
--===================
Messier338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor({0,1,0,.8})
    :textfont(smallfont) 
    :textcolor({1,1,0,.8})   
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Galactic Center"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-38), 170-3*4-38*4-3, 5+14*38)

Messier338Box.Action = (function()
    return 
           function()      
             local obj = celestia:find("Galactic Center");  
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(25.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.15)
            celestia:hide("nebulae"); 
            celestia:show("galaxies"); 
            celestia:setlabelflags{galaxies = true}
            end
        end
    end) ();
--===================
Messier139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})
    :textfont(smallfont) 
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Ursa Major ass."))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-39), 170-3*2-38*2-1, 5+14*39)

Messier139Box.Action = (function()
    return 
        function()     
            obj = celestia:find("HIP 51814"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 53910"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 58001"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 59774"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 61100"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 61481"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 61946"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 62956"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 63503"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("HIP 64740"); 
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("Mizar A");
            obj:mark("red", "diamond", 10) 
            obj = celestia:find("Mizar B"); 
            obj:mark("red", "diamond", 20) 
            obj = celestia:find("HD 116842"); 
            obj:mark("red", "diamond", 10) 

            local obj = celestia:find("Collinder 285");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(60.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.5) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            celestia:setlabelflags{galaxies = false} 
            end
        end
    end) (); 

-- Звезды

-- 37 Большой Медведицы (HD 91480)
-- Бета Большой Медведицы (Мерак) (HD 95418)
-- Гамма Большой Медведицы (Фекда) (HD 103287)
-- Дельта Большой Медведицы (Мегрец) (HD 106591)
-- HD 109011
-- HD 109647 (в созвездии Гончих Псов)
-- HD 110463
-- Эпсилон Большой Медведицы (Алиот) (HD 112185)
-- 78 Большой Медведицы A (HD 113139A)
-- Gliese 503.2 (HD 115043)
-- Дзета Большой Медведицы (Мицар A) (HD 116656)
-- Дзета Большой Медведицы (Мицар B) (HD 116657)
-- 80 Большой Медведицы (Алькор) (HD 116842)
--===================
Messier339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})
    :textfont(smallfont) 
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Melotte 111"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-39), 170-3*4-38*4-3, 5+14*39)

Messier339Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Melotte 111");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(7.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:hide("globulars");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})
    :textfont(smallfont) 
    :textcolor(cbutextoff)    
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Hyades"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-40), 170-3*2-38*2-1, 5+14*40)

Messier140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Hyades");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(7.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,1,0.7,.6})     
    :textfont(smallfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chereul 3"))
    :movable(false)
    :active(true)   
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-40), 170-3*4-38*4-3, 5+14*40)

Messier340Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Chereul 3");  
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               radians = math.rad(3.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");
            celestia:hide("galaxies");
            celestia:setlabelflags{openclusters = true}
            end
        end
    end) (); 
--===================
Messier141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor({1,1,0,.5})
    :textfont(normalfont) 
    :textcolor({0,0,0,1}) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Go to object"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*1+38*0, 2+14*(gg-41), 170-3*2-38*2-1, 5+14*41)

Messier141Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local sel = celestia:getselection();
            if not(empty(sel)) then
                obs:follow(sel);
                obs:goto(sel);
            end
        end
    end) (); 
------------------------------------
Messier341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)       
    :fillcolor({0,1,0,.5})
    :textfont(normalfont) 
    :textcolor({0,0,0,1}) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_("> Home !"))
    :movable(false)
    :active(true)  
    :attach(MessierFrame, 3*3+38*2+2, 2+14*(gg-41), 3, 5+14*41)

Messier341Box.Action = (function()
    return
        function()                    
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol");
            celestia:select(obj);
            obs:follow(obj);          
            local obj = celestia:find("Earth");
            celestia:select(obj);
            obs:follow(obj);          
            obs:goto(obj);  
        end
    end) (); 
--======================
