----------------------------------------------
-- constFrBox.lua
-- by Patrick Ziegler a.k.a. Gironde 01-01-2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"                                           
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local constFrFrameWidth, constFrFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
constFrBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

constFrButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont) 
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(" W ' "))
    --:text(_("Bg02"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(constFrBox,0,0,0,0)

constFrCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true) 
        :attach(constFrBox, 20, 0, 0, 0)

constFrBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    constFrButton.Visible = GuidesVisibility -- display or undisplay Button
    constFrCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if constFrCheck.Text ==  "o" then
		constFrFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

constFrButton.Action = (function()
        return
            function()
             display_constFr = not display_constFr;

                 if display_constFr then 
                    actual_renderflags = celestia:getrenderflags()                   
                    constFrFrame.Visible = true;                    
                    constFrCheck.Text = "o";
 
                  -- границы/фигуры
                    celestia:setrenderflags{constFrellations = true} -- созвездия
                    celestia:hideconstFrellations()
                    celestia:showconstFrellations()
                    celestia:show("constFrellations"); 
                    celestia:showlabel("i18nconstFrellations") 
                    celestia:show("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
               --     celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("fuzzy"); -- вид звезд
                
                 -- имена на русском
                    celestia:showlabel("constFrellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности                   
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:setfaintestvisible(8.00)    
                    radians = math.rad(40)
                    obs:setfov(radians)  
                else                    
                    constFrFrame.Visible = false;                   
                    constFrCheck.Text = "";
                    celestia:setrenderflags(actual_renderflags)
                    celestia:hide("nebulae"); -- туманности
                end
            end
        end) ();
---------------------------------------------------
constFrFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.9, 0.9, 0.9, 0.25})
    :fillcolor(color83)  
    :textfont(titlefont)
    :textcolor({0.8, 0.8, 0.8, 0.9})
    :textpos("center")
    :movetext(0, -10)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-constFrFrameWidth)/2, height-constFrFrameHeight-2, (width-constFrFrameWidth)/2, 2)

 constFrFrame.Customdraw = function(this)

            if  constFr_firstTickDone then
            if not(constFrCloseButtonDone) then
                constFrCloseButtonDone = true;
                makeCloseButton(constFrCloseButton, constFrFrame, constFrButton);
            end
            else
                constFr_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
                if height>=768  then              
                    constFrFrame:attach(screenBox, width-constFrFrameWidth-36, height-constFrFrameHeight-128-27, 36, 128-27)
                else
                    constFrFrame:attach(screenBox, width-constFrFrameWidth-200, height-constFrFrameHeight-3, 200, 3)
                end
            end

            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+30, this.tb - 14);         
            textlayout:println(_("CONSTELLATION"));
end;
--=================
-- Подключение команд 
--=================
constFr101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Androm."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-1), 113, 5+14*1)

 constFr101Box.Action = (function()
    return
        function()
            -- obs:setposition(actual_obspos)
            celestia:hide("planets");
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Andromeda"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET And");
            celestia:select(obj);
            obs:follow(obj); 
            obs:center(obj); 
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Gemini"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-2), 113, 5+14*2)

constFr102Box.Action = (function()
    return
        function() 
            celestia:hide("planets");
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Gemini"}         
            local obs = celestia:getobserver();
            local obj = celestia:find("OME Gem");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.1) 
            celestia:setstarstyle("fuzzy")          
        end
    end) ();
----------------------------------
constFr103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ursae M."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-3), 113, 5+14*3)
 
constFr103Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ursa Major"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Uma");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")
            obj = celestia:find("ALF UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS UMa"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("ZET UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA UMa"); 
            obj:mark("white", "diamond", 15)
        end
    end) ();
-----------------------------------
constFr104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Canis M."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-4), 113, 5+14*4)
 
constFr104Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Canis major"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF CMa");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Libra"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-5), 113, 5+14*5)

constFr105Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Libra", "Scorpius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("IOT1 Lib");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")            
        end
    end) ();
----------------------------------
constFr106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquarius"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-6), 113, 5+14*6)

constFr106Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Aquarius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Aqr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(45)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
---------------------------------
constFr107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Auriga"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-7), 113, 5+14*7)

constFr107Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Auriga"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Aur");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lupus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-8), 113, 5+14*8)

constFr108Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Lupus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Lup");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Bootes"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-9), 113, 5+14*9)

constFr109Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Boötes"}
            local obs = celestia:getobserver();
            local obj = celestia:find("36 Boo");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ComaBer."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-10), 113, 5+14*10)

constFr110Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Coma Berenices"}
            local obs = celestia:getobserver();
            local obj = celestia:find("23 Com");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.7)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})   
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Corvus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-11), 113, 5+14*11)

constFr111Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Corvus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Crv");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hercules"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-12), 113, 5+14*12)

constFr112Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Hercules"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Her");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hydra"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-13), 113, 5+14*13)

constFr113Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Hydra"}
            local obs = celestia:getobserver();
            local obj = celestia:find("NU Hya");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(90)
            obs:setfov(radians)
            celestia:setfaintestvisible(11.0) 
            celestia:setstarstyle("point")
        end
    end) ();
----------------------------------
constFr114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Columba"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-14), 113, 5+14*14)

constFr114Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Columba"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Col");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CanesV."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-15), 113, 5+14*15)

constFr115Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Canes Venatici"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF1 CVn");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-----------------------------------
constFr116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Virgo"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-16), 113, 5+14*16)

constFr116Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Virgo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Vir");

            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Delphin."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-17), 113, 5+14*17)

constFr117Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Delphinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("6 Del");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Draco"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-18), 113, 5+14*18)

constFr118Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Draco"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Dra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Monocer."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-19), 113, 5+14*19)

constFr119Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Monoceros"}
            local obs = celestia:getobserver();
            local obj = celestia:find("18 Mon");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ara"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-20), 113, 5+14*20)

constFr120Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ara"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Ara");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("point")  
        end
    end) ();
----------------------------------
constFr121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pictor"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-21), 113, 5+14*21)

constFr121Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Pictor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Pic");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Camelop."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-22), 113, 5+14*22)

constFr122Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Camelopardalis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("HIP 33694");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(10.0)
            celestia:setstarstyle("point") 
        end
    end) ();
----------------------------------
constFr123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Grus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-23), 113, 5+14*23)

constFr123Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Grus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Gru");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lepus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-24), 113, 5+14*24)

constFr124Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Lepus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Lep");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ophiuch."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-25), 113, 5+14*25)

constFr125Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Oph");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point") 
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15)
        end
    end) ();
----------------------------------
constFr126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Serpens1"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-26), 113, 5+14*26)

constFr126Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Ser");   -- Голова Змеи
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point")
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15)  
        end
    end) ();
----------------------------------
constFr127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Serpens2"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-27), 113, 5+14*27)

constFr127Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ser");    -- Хвост Змеи
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point")
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15)  
        end
    end) ();
----------------------------------
constFr128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Dorado"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-28), 113, 5+14*28)

constFr128Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Dorado"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Dor");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Indus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-29), 113, 5+14*29)

constFr129Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Indus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Ind");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cassiop."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame,  2, 2+14*(gg-30), 113, 5+14*30)

constFr130Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Cassiopeia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("UPS2 Cas");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
            obj = celestia:find("BET Cas"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Cas");
            obj:mark("silver", "diamond", 15)
            obj = celestia:find("GAM Cas");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Cas");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Cas");
            obj:mark("white", "diamond", 15)
        end
    end) ();
--==================
constFr131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 13+14*4)
    :text(_("Optionally:"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-32)+7, 2, 5+14*36-7)
----------------------------------
constFr133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0,0.4,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Add engravings Jan Hevelius:"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-33)+7, 2, 5+14*33-7)
----------------------------------
constFr134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0,0.4,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1. Turn on addon 'Zodiacal constFr.:',"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-34)+7, 2, 5+14*34-7)
----------------------------------
constFr135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0,0.4,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2. Enable the option 'Nebula'."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-35)+7, 2, 5+14*35-7)
--=================
constFr135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-35), 2, 5+14*35)
----------------------------------
constFr136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,0,0,0.7})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("In what constFrellation is now:"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-36), 2, 5+14*36)
----------------------------------
constFr137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mercury "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-37), 113, 5+14*37)

constFr137Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Mercury");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            celestia:show("planets");
        end
    end) ();
----------------------------------
constFr138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Venus "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-38), 113, 5+14*38)

constFr138Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("venus");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            celestia:show("planets");
        end
    end) ();
----------------------------------
constFr139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Earth "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 2, 2+14*(gg-39), 113, 5+14*39)

constFr139Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Earth");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            celestia:show("planets"); 
        end
    end) ();
----------------------------------
constFr140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textcolor({1,0,0,.7})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sol"))
    :movable(false)
    :active(true) 
    :attach(constFrFrame, 2, 2+14*(gg-40), 113, 5+14*40)

constFr140Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
        end
    end) ();
--=================
constFr201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Carina"))
    :movable(false)
    :active(true)     
    :attach( constFrFrame, 59, 2+14*(gg-1), 59, 5+14*1)

constFr201Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Car");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cetus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-2), 59, 5+14*2)

constFr202Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Cetus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Cet");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Capricor."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-3), 59, 5+14*3)

constFr203Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Capricornus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Cap");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pyxis"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-4), 59, 5+14*4)

constFr204Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Pyxis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Pyx");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Puppis"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-5), 59, 5+14*5)

constFr205Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Pup");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();

----------------------------------
constFr206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cygnus"))
    :movable(false)
    :active(true)  
   :attach( constFrFrame, 59, 2+14*(gg-6), 59, 5+14*6)

constFr206Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Cygnus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Cyg");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-7), 59, 5+14*7)

constFr207Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Leo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Leo");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Volans"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-8), 59, 5+14*8)

constFr208Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Volans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Vol");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
---------------------------------
constFr209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lyra"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-9), 59, 5+14*9)

constFr209Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Lyra"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Lyr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vulpecula"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-10), 59, 5+14*10)

constFr210Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Vulpecula"}
            local obs = celestia:getobserver();
            local obj = celestia:find("17 Vul");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.9) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
---------------------------------
constFr211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ursa Min."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-11), 59, 5+14*11)

constFr211Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Ursa Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET UMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Equuleus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-12), 59, 5+14*12)

constFr212Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Equuleus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("9 Equ");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LeoMinor"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-13), 59, 5+14*13)

constFr213Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Leo Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("21 LMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CanisMin."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-14), 59, 5+14*14)

constFr214Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Canis Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET CMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Microsc."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-15), 59, 5+14*15)

constFr215Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Microscopium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Mic");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.7) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Musca"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-16), 59, 5+14*16)

constFr216Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Musca"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Mus");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(6.9) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------
constFr217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Antlia"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-17), 59, 5+14*17)

constFr217Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Antlia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ant");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Norma"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-18), 59, 5+14*18)

constFr218Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Norma"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Nor");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
---------------------------------
constFr219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aries"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-19), 59, 5+14*19)

constFr219Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Aries"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ari");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.4) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-----------------------------------
 constFr220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Octans"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-20), 59, 5+14*20)

constFr220Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Octans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("SIG Oct");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquila"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-21), 59, 5+14*21)

constFr221Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Aquila"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Aql");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orion"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-22), 59, 5+14*22)

constFr222Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Orion"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Ori");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(40)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
            obj = celestia:find("ALF Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("KAP Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ori");
            obj:mark("white", "diamond", 15)

        end
    end) ();
----------------------------------
constFr223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pavo"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-23), 59, 5+14*23)

constFr223Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Pavo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("KAP Pav");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vela"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-24), 59, 5+14*24)

constFr224Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Vel");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pegasus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-25), 59, 5+14*25)

constFr225Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Pegasus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("PI Peg");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(55)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.7) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Perseus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-26), 59, 5+14*26)

constFr226Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Perseus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Per");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fornax"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-27), 59, 5+14*27)

constFr227Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Fornax"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET For");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-28), 59, 5+14*28)

constFr228Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Apus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Aps");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
---------------------------------
constFr229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont) 
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cancer"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-29), 59, 5+14*29)

constFr229Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Cancer"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Cnc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("point")  
        end
    end) ();
---------------------------------
constFr230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Caelum"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-30), 59, 5+14*30)

constFr230Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Caelum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Cae");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--=================
constFr237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mars "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-37), 59, 5+14*37)

constFr237Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Mars");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            celestia:show("planets");
         end
    end) ();
----------------------------------
constFr238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jupiter "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-38), 59, 5+14*38)

constFr238Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Jupiter");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            celestia:show("planets");
        end
    end) ();
----------------------------------
constFr239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Saturn "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-39), 59, 5+14*39)

constFr239Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Saturn");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            celestia:show("planets"); 
         end
    end) ();
----------------------------------
constFr240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Moon "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 59, 2+14*(gg-40), 59, 5+14*40)

 constFr240Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Moon");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            celestia:show("planets"); 
        end
    end) ();

 --=================
constFr301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pisces"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-1), 2, 5+14*1)

constFr301Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Pisces"}
            local obs = celestia:getobserver();
            local obj = celestia:find("OME Psc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(55)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.3) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lynx"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-2), 2, 5+14*2)

constFr302Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Lynx"}  
            local obs = celestia:getobserver();
            local obj = celestia:find("21 Lyn");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(45)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.5) 
            celestia:setstarstyle("point")  
        end
    end) ();
----------------------------------
constFr303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CoronaB."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-3), 2, 5+14*3)

constFr303Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Corona Borealis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET CrB");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sextans"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-4), 2, 5+14*4)

constFr304Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Sextans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Sex");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")
            obj = celestia:find("ALF Sex"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Sex"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 51046"); 
            obj:mark("white", "diamond", 15)
        end
    end) ();
----------------------------------
constFr305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Reticul."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-5), 2, 5+14*5)

constFr305Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Reticulum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Ret");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scorpius"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-6), 2, 5+14*6)

constFr306Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Scorpius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Sco");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sculptor"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-7), 2, 5+14*7)

constFr307Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Sculptor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Scl");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mensa"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-8), 2, 5+14*8)

constFr308Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Mensa"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Men");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagitta"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-9), 2, 5+14*9)

constFr309Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Sagitta"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Sge");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagittar."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-10), 2, 5+14*10)

constFr310Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Sagittarius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Sgr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Telescop."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-11), 2, 5+14*11)

constFr311Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Telescopium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Tel");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(10)
            obs:setfov(radians)
            celestia:setfaintestvisible(6.7) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)    
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Taurus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-12), 2, 5+14*12)

constFr312Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Taurus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Tau");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(65)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
---------------------------------
constFr313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Triangul."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-13), 2, 5+14*13)

constFr313Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Triangulum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Tri");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tucana"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-14), 2, 5+14*14)

constFr314Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Tucana"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Tuc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Phoenix"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-15), 2, 5+14*15)

constFr315Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Phoenix"}
            local obs = celestia:getobserver();
            local obj = celestia:find("MU Phe");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(40)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Chamael."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-16), 2, 5+14*16)

constFr316Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Chamaeleon"}  
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Cha");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Centaur."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-17), 2, 5+14*17)

constFr317Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Centaurus", "Lupus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Cen");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cepheus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-18), 2, 5+14*18)

constFr318Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Cepheus", "Cassiopeia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("IOT Cep");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
---------------------------------
constFr319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Circinus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-19), 2, 5+14*19)

constFr319Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Circinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Cir");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Horolog."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-20), 2, 5+14*20)

constFr320Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Horologium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("HIP 15305");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.6) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Crater"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-21), 2, 5+14*21)

constFr321Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Crater"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Crt");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scutum"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-22), 2, 5+14*22)

constFr322Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Scutum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Sct");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Eridanus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-23), 2, 5+14*23)

constFr323Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Eridanus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("g Eri");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(70)
            obs:setfov(radians)
            celestia:setfaintestvisible(10.0) 
            celestia:setstarstyle("point")  
        end
    end) ();
----------------------------------
constFr324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hydrus"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-24), 2, 5+14*24)

constFr324Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Hydrus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA2 Hyi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
---------------------------------
constFr325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Corona A."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-25), 2, 5+14*25)

constFr325Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Corona Australis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("MU Cra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
----------------------------------
constFr326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Piscis A."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-26), 2, 5+14*26)

constFr326Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Piscis Austrinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TAU PsA");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Crux"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-27), 2, 5+14*27)

constFr327Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Cru");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.2) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
----------------------------------
constFr328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Triang.A."))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-28), 2, 5+14*28)

constFr328Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Triangulum Australe"}
            local obs = celestia:getobserver();
            local obj = celestia:find("KAP Tra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
------------------------------------
  constFr329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lacerta"))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-29), 2, 5+14*29)

 constFr329Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations {"Lacerta"}
            local obs = celestia:getobserver();
            local obj = celestia:find("11 Lac");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
------------------------------------
  constFr330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,1,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Incl. all"))
    :movable(false)
    :active(true)  
    :attach( constFrFrame, 113, 2+14*(gg-30), 2, 5+14*30)

 constFr330Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
     end
 end) ();
--==================
 constFr337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Uranus "))
    :movable(false)
    :active(true)  
    :attach( constFrFrame, 113, 2+14*(gg-37), 2, 5+14*37)

 constFr337Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Uranus");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            celestia:show("planets");
        end
    end) ();
-----------------------------------
  constFr338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Neptune "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-38), 2, 5+14*38)

 constFr338Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Neptune");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            celestia:show("planets"); 
        end
    end) ();
------------------------------------
  constFr339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pluto "))
    :movable(false)
    :active(true) 
    :attach( constFrFrame, 113, 2+14*(gg-39), 2, 5+14*39)

 constFr339Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constFrellations = true}
            celestia: hideconstFrellations ()
            celestia: showconstFrellations ()
            local obs = celestia:getobserver();
            local obj = celestia:find("Pluto");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            celestia:show("planets"); 
        end
    end) ();
------------------------------------
gotoSelButton= CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff)
    :fillcolor({0,0,0.5,.6})
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :movetext(-3, 10)                              
    :text(_("goto"))
    :movable(true)
    :active(true)  
    :attach( constFrFrame, 113, 2+14*(gg-40), 2, 5+14*40)

gotoSelButton.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local sel = celestia:getselection();
            if not(empty(sel)) then
                obs:follow(sel);
                obs:goto(sel);
            end
        end
    end) ();
-------------------------------------
