----------------------------------------------
-- constLatBox.lua
-- by Lygin Gennady a.k.a Croc 22.10.2014
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";                                           
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local constLatFrameWidth, constLatFrameHeight = 170, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
constLatBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

constLatButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont) 
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" C1 "))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(constLatBox,0,0,0,0)

constLatCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true) 
        :attach(constLatBox, 20, 0, 0, 0)

constLatBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    constLatButton.Visible = GuidesVisibility -- display or undisplay Button
    constLatCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if constLatCheck.Text ==  "o" then
		constLatFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

constLatButton.Action = (function()
        return
            function()
              display_constLat = not display_constLat;

                if display_constLat then 
                    actual_renderflags = celestia:getrenderflags()               
                    constLatFrame.Visible = true;                    
                    constLatCheck.Text = "o"; 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
               --     celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("fuzzy"); -- вид звезд
                
                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности                   
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:setfaintestvisible(8.00)    
                    radians = math.rad(40)
                    obs:setfov(radians)                 
                else                    
                    constLatFrame.Visible = false;                   
                    constLatCheck.Text = "";
                    celestia:setrenderflags(actual_renderflags)
                    celestia:hide("nebulae"); -- туманности
                end
            end
        end) ();
--------------------------------------------------------------
constLatFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.9, 0.9, 0.9, 0.25})
    :fillcolor(color83)  
    :textfont(titlefont)
    :textcolor({0.8, 0.8, 0.8, 0.9})
    :textpos("center")
    :movetext(0, -10)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-constLatFrameWidth)/2, height-constLatFrameHeight-2, (width-constLatFrameWidth)/2, 2)

 constLatFrame.Customdraw = function(this)

            if  constLat_firstTickDone then
            if not(constLatCloseButtonDone) then
                constLatCloseButtonDone = true;
                makeCloseButton(constLatCloseButton, constLatFrame, constLatButton);
            end
            else
                constLat_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;  
                if height>=768  then             
                    constLatFrame:attach(screenBox, width-constLatFrameWidth-36, height-constLatFrameHeight-128-27, 36, 128+27)
                else
                    constLatFrame:attach(screenBox, width-constLatFrameWidth-200, height-constLatFrameHeight-3, 200, 3)
                end
            end

            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+30, this.tb - 14);         
            textlayout:println(_("CONSTELLATION "));
end;
--===================
-- Подключение команд 
--===================
constLat101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Androm. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame, 2, 2+14*(gg-1), 113, 5+14*1)

 constLat101Box.Action = (function()
    return
        function()
            celestia:hide("planets");
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Andromeda"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET And");
            celestia:select(obj);
            obs:follow(obj); 
            obs:center(obj); 
            radians = math.rad(40)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Antlia "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame, 2, 2+14*(gg-2), 113, 5+14*2)

constLat102Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Antlia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ant");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apus "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-3), 113, 5+14*3)
 
constLat103Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Apus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Aps");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquarius "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-4), 113, 5+14*4)
 
constLat104Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Aquarius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Aqr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(45)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquila "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-5), 113, 5+14*5)

constLat105Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Aquila"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Aql");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)            
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ara "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-6), 113, 5+14*6)

constLat113Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ara"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Ara");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("point")
        end
    end) ();
------------------------------------- 
constLat107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aries "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-7), 113, 5+14*7)

constLat107Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Aries"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ari");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.4) 
            celestia:setstarstyle("fuzzy")    
        end
    end) ();
------------------------------------- 
constLat108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Auriga "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-8), 113, 5+14*8)

constLat108Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Auriga"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Aur");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------- 
constLat109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Bootes "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-9), 113, 5+14*9)

constLat109Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Boötes"}
            local obs = celestia:getobserver();
            local obj = celestia:find("36 Boo");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")    
        end
    end) ();
-------------------------------------
constLat110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Caelum "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-10), 113, 5+14*10)

constLat110Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Caelum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Cae");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Camelop. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame,  2, 2+14*(gg-11), 113, 5+14*11)

constLat111Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Camelopardalis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("HIP 33694");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(10.0)
            celestia:setstarstyle("point")  
        end
    end) ();
-------------------------------------
constLat112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cancer "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame,  2, 2+14*(gg-12), 113, 5+14*12)

constLat112Box.Action = (function()
   return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Cancer"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Cnc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("point") 
        end
    end) ();
-------------------------------------
constLat113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Canes V. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame,  2, 2+14*(gg-13), 113, 5+14*13)

constLat113Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Canes Venatici"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF1 CVn");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Canis Maj. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-14), 113, 5+14*14)

constLat114Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Canis major"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF CMa");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Canis Min."))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-15), 113, 5+14*15)

constLat115Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Canis Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET CMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Capricor. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-16), 113, 5+14*16)

constLat116Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Capricornus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Cap");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Carina "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-17), 113, 5+14*17)

constLat117Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Car");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cassiop. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-18), 113, 5+14*18)

constLat118Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Cassiopeia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("UPS2 Cas");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
            obj = celestia:find("BET Cas"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Cas");
            obj:mark("silver", "diamond", 15)
            obj = celestia:find("GAM Cas");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Cas");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Cas");
            obj:mark("white", "diamond", 15) 
        end
    end) ();
-------------------------------------
constLat119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Centaurus "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-19), 113, 5+14*19)

constLat119Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Centaurus", "Lupus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Cen");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cepheus "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-20), 113, 5+14*20)

constLat120Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Cepheus", "Cassiopeia"}
            local obs = celestia:getobserver();
            local obj = celestia:find("IOT Cep");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cetus "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-21), 113, 5+14*21)

constLat121Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Cetus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Cet");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Chamael. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-22), 113, 5+14*22)

constLat122Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Chamaeleon"}  
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Cha");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Circinus  "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-23), 113, 5+14*23)

constLat123Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Circinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Cir");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Columba "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-24), 113, 5+14*24)

constLat124Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Columba"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Col");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Coma Ber. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-25), 113, 5+14*25)

constLat125Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Coma Berenices"}
            local obs = celestia:getobserver();
            local obj = celestia:find("23 Com");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.7)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Corona A. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-26), 113, 5+14*26)

constLat126Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Corona Australis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("MU Cra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Corona B. "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-27), 113, 5+14*27)

constLat127Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Corona Borealis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET CrB");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Corvus "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-28), 113, 5+14*28)

constLat128Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Corvus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Crv");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy")   
        end
    end) ();
--------------------------------------
constLat129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Crater "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-29), 113, 5+14*29)

constLat129Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Crater"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Crt");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Crux "))
    :movable(false)
    :active(true) 
    :attach(constLatFrame,  2, 2+14*(gg-30), 113, 5+14*30)

constLat130Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Cru");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.2) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--===================
constLat131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,0,0,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Reference data:"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-31), 2, 5+14*31)
--------------------------------------
constLat132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Codes letters Greek alphabet"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-32), 2, 5+14*32)
--------------------------------------
constLat133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("to find stars in the codes Bayer:"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-33), 2, 5+14*33)
--------------------------------------
constLat134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("α"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-34), 113+40, 5+14*34)

constLat1342Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("ALF"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-34), 113, 5+14*34)
--------------------------------------
constLat135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("β"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-35), 113+40, 5+14*35)

constLat1352Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("BET"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-35), 113, 5+14*35)
-------------------------------------
constLat136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("γ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-36), 113+40, 5+14*36)

constLat1362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("GAM"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-36), 113, 5+14*36)
-------------------------------------
constLat137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("δ"))
    :movable(false)
    :active(true) 
    :attach(constLatFrame, 2, 2+14*(gg-37), 113+40, 5+14*37)

constLat1372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("DEL"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-37), 113, 5+14*37)
-------------------------------------
constLat138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ε"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-38), 113+40, 5+14*38)

constLat1382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("EPS"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-38), 113, 5+14*38)
--------------------------------------
constLat139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ζ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-39), 113+40, 5+14*39)

constLat1392Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("ZET"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-39), 113, 5+14*39)
--------------------------------------
constLat140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("η"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-40), 113+40, 5+14*40)

constLat1402Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("ETA"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-40), 113, 5+14*40)
-------------------------------------
constLat141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("θ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2, 2+14*(gg-41), 113+40, 5+14*41)

constLat1412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TET"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 2+10, 2+14*(gg-41), 113, 5+14*41)
--===================
constLat201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cygnus "))
    :movable(false)
    :active(true)     
    :attach( constLatFrame, 59, 2+14*(gg-1), 59, 5+14*1)

constLat201Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Cygnus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Cyg");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Delphin. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-2), 59, 5+14*2)

constLat202Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Delphinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("6 Del");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Dorado "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-3), 59, 5+14*3)

constLat203Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Dorado"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Dor");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Draco "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-4), 59, 5+14*4)

constLat204Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Draco"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Dra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Equuleus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-5), 59, 5+14*5)

constLat205Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Equuleus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("9 Equ");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Eridanus "))
    :movable(false)
    :active(true)  
    :attach( constLatFrame, 59, 2+14*(gg-6), 59, 5+14*6)

constLat206Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Eridanus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("g Eri");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(70)
            obs:setfov(radians) 
            celestia:setfaintestvisible(10.0) 
            celestia:setstarstyle("point") 
        end
    end) ();
-------------------------------------
constLat207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fornax "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-7), 59, 5+14*7)

constLat207Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Fornax"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET For");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Gemini "))
    :textcolor(cbutextoff)
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-8), 59, 5+14*8)

constLat208Box.Action = (function()
    return
        function() 
            celestia:hide("planets");
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Gemini"}         
            local obs = celestia:getobserver();
            local obj = celestia:find("OME Gem");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.1) 
            celestia:setstarstyle("fuzzy")           
        end
    end) ();
-------------------------------------
constLat209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Grus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-9), 59, 5+14*9)

constLat209Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Grus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Gru");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hercules  "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-10), 59, 5+14*10)

constLat210Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Hercules"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Her");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Horolog. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-11), 59, 5+14*11)

constLat211Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Horologium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("HIP 15305");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.6) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hydra "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-12), 59, 5+14*12)

constLat212Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Hydra"}
            local obs = celestia:getobserver();
            local obj = celestia:find("NU Hya");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(90)
            obs:setfov(radians)
            celestia:setfaintestvisible(11.0) 
            celestia:setstarstyle("point")
        end
    end) ();
-------------------------------------
constLat213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hydrus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-13), 59, 5+14*13)

constLat213Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Hydrus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Hyi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
-------------------------------------
constLat214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Indus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-14), 59, 5+14*14)

constLat214Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Indus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Ind");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lacerta "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-15), 59, 5+14*15)

constLat215Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Lacerta"}
            local obs = celestia:getobserver();
            local obj = celestia:find("11 Lac");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-16), 59, 5+14*16)

constLat216Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Leo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Leo");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo Minor "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-17), 59, 5+14*17)

constLat217Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Leo Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("21 LMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lepus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-18), 59, 5+14*18)

constLat218Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Lepus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Lep");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5)
            celestia:setstarstyle("fuzzy")   
        end
    end) ();
--------------------------------------
constLat219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Libra "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-19), 59, 5+14*19)

constLat219Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Libra", "Scorpius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("IOT1 Lib");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy")            
        end
    end) ();
---------------------------------------
 constLat220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lupus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-20), 59, 5+14*20)

constLat220Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Lupus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Lup");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lynx "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-21), 59, 5+14*21)

constLat221Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Lynx"}  
            local obs = celestia:getobserver();
            local obj = celestia:find("21 Lyn");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(45)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.5) 
            celestia:setstarstyle("point")
        end
    end) ();
--------------------------------------
constLat222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lyra "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-22), 59, 5+14*22)

constLat222Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Lyra"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Lyr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mensa "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-23), 59, 5+14*23)

constLat223Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Mensa"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Men");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Microsc. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-24), 59, 5+14*24)

constLat224Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Microscopium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Mic");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.7) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Monocer. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-25), 59, 5+14*25)

constLat225Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Monoceros"}
            local obs = celestia:getobserver();
            local obj = celestia:find("18 Mon");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0)
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Musca "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-26), 59, 5+14*26)

constLat226Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Musca"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Mus");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(6.9) 
            celestia:setstarstyle("fuzzy")   
        end
    end) ();
--------------------------------------
constLat227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Norma "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-27), 59, 5+14*27)

constLat227Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Norma"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TET Nor");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(20)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Octans "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-28), 59, 5+14*28)

constLat228Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Octans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("SIG Oct");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ophiuch. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-29), 59, 5+14*29)

constLat229Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Oph");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point") 
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15) 
        end
    end) ();
-------------------------------------
constLat230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orion "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-30), 59, 5+14*30)

constLat230Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Orion"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Ori");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(40)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
            obj = celestia:find("ALF Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("KAP Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ori");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ori");
            obj:mark("white", "diamond", 15) 
        end
    end) ();
--===================
constLat234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ι"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-34), 59+40, 5+14*34)

constLat2342Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("IPS"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-34), 59, 5+14*34)
--------------------------------------
constLat235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("κ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-35), 59+40, 5+14*35)

constLat2352Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("KAP"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-35), 59, 5+14*35)
--------------------------------------
constLat236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("λ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-36), 59+40, 5+14*36)

constLat2362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("LAM"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-36), 59, 5+14*36)
--------------------------------------
constLat237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("μ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-37), 59+40, 5+14*37)

constLat2372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MU"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-37), 59, 5+14*37)
--------------------------------------
constLat238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ν"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-38), 59+40, 5+14*38)

constLat2382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("NU"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-38), 59, 5+14*38)
--------------------------------------
constLat239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ξ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-39), 59+40, 5+14*39)

constLat2392Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("XI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-39), 59, 5+14*39)
--------------------------------------
constLat240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ο"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-40), 59+40, 5+14*40)

constLat2402Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("OMI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-40), 59, 5+14*40)
-------------------------------------
constLat241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("π"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59, 2+14*(gg-41), 59+40, 5+14*41)

constLat2412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("PI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 59+10, 2+14*(gg-41), 59, 5+14*41)
 --===================
constLat301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pavo "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-1), 2, 5+14*1)

constLat301Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Pavo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("KAP Pav");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(35)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pegasus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-2), 2, 5+14*2)

constLat302Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Pegasus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("PI Peg");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(55)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.7) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Perseus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-3), 2, 5+14*3)

constLat303Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Perseus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Per");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Phoenix "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-4), 2, 5+14*4)

constLat304Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Phoenix"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Phe");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(40)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pictor "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-5), 2, 5+14*5)

constLat305Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Pictor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Pic");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pisces "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-6), 2, 5+14*6)

constLat306Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Pisces"}
            local obs = celestia:getobserver();
            local obj = celestia:find("OME Psc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(55)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.3) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Piscis A. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-7), 2, 5+14*7)

constLat307Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Piscis Austrinus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("TAU PsA");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("Puppis "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-8), 2, 5+14*8)

constLat308Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET Pup");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
--------------------------------------
constLat309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pyxis "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-9), 2, 5+14*9)

constLat309Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Pyxis"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Pyx");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Reticul. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-10), 2, 5+14*10)

constLat310Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Reticulum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Ret");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagitta "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-11), 2, 5+14*11)

constLat311Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Sagitta"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Sge");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(10)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagittar. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-12), 2, 5+14*12)

constLat312Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Sagittarius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Sgr");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(30)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scorpius "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-13), 2, 5+14*13)

constLat313Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Libra", "Scorpius"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Sco");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(50)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy")             
        end
    end) ();
-------------------------------------
constLat314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sculptor  "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-14), 2, 5+14*14)

constLat314Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Sculptor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("DEL Scl");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scutum "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-15), 2, 5+14*15)

constLat315Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Scutum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Sct");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(20)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("S. Caput"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-16), 2, 5+14*16)

constLat316Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Ser");   -- Голова Змеи
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point")
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15)
        end
    end) ();
-------------------------------------
constLat317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("S. Cauda "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-17), 2, 5+14*17)

constLat317Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ophiuchus", "Serpens Cauda", "Serpens Caput"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ETA Ser");    -- Хвост Змеи
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("point")
            obj = celestia:find("IOT Ser"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("KAP Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ALF Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("OME Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ZET Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Oph");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("XI Ser"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("NU Oph"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA Ser");
            obj:mark("white", "diamond", 15)
            obj = celestia:find("HIP 92984");
            obj:mark("white", "diamond", 15)   
        end
    end) ();
--------------------------------------
constLat318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sextans "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-18), 2, 5+14*18)

constLat318Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Sextans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Sex");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(25)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Taurus "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-19), 2, 5+14*19)

constLat319Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Taurus"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Tau");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(65)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Telescop. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-20), 2, 5+14*20)

constLat320Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Telescopium"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ALF Tel");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(10)
            obs:setfov(radians)
            celestia:setfaintestvisible(6.7) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Triangul. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-21), 2, 5+14*21)

constLat321Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Triangulum"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Tri");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(15)
            obs:setfov(radians)
            celestia:setfaintestvisible(7.5) 
            celestia:setstarstyle("fuzzy")
        end
    end) ();
--------------------------------------
constLat322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Triang. A."))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-22), 2, 5+14*22)

constLat322Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Triangulum Australe"}
            local obs = celestia:getobserver();
            local obj = celestia:find("KAP Tra");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tucana "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-23), 2, 5+14*23)

constLat323Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Tucana"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Tuc");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj); 
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:setfaintestvisible(9.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
--------------------------------------
constLat324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ursa Maj. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-24), 2, 5+14*24)

constLat324Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ursa Major"}
            local obs = celestia:getobserver();
            local obj = celestia:find("BET Uma");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians)
            celestia:setfaintestvisible(8.5)
            celestia:setstarstyle("fuzzy") 
            obj = celestia:find("ALF UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("BET UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("GAM UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("DEL UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("EPS UMa"); 
            obj:mark("white", "diamond", 15) 
            obj = celestia:find("ZET UMa"); 
            obj:mark("white", "diamond", 15)
            obj = celestia:find("ETA UMa"); 
            obj:mark("white", "diamond", 15) 
        end
    end) ();
-------------------------------------
constLat325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ursa Min. "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-25), 2, 5+14*25)

constLat325Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Ursa Minor"}
            local obs = celestia:getobserver();
            local obj = celestia:find("ZET UMi");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vela "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-26), 2, 5+14*26)

constLat326Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Carina", "Puppis", "Vela",  "Crux"}
            local obs = celestia:getobserver();
            local obj = celestia:find("LAM Vel");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(8.0) 
            celestia:setstarstyle("fuzzy") 
        end
    end) ();
-------------------------------------
constLat327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Virgo "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-27), 2, 5+14*27)

constLat327Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Virgo"}
            local obs = celestia:getobserver();
            local obj = celestia:find("GAM Vir");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(60)
            obs:setfov(radians) 
            celestia:setfaintestvisible(9.0)
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
-------------------------------------
constLat328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Volans "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-28), 2, 5+14*28)

constLat328Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Volans"}
            local obs = celestia:getobserver();
            local obj = celestia:find("EPS Vol");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(15)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.3) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
---------------------------------------
  constLat329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vulpecula "))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-29), 2, 5+14*29)

 constLat329Box.Action = (function()
    return
        function()
            celestia:hide("planets")
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations {"Vulpecula"}
            local obs = celestia:getobserver();
            local obj = celestia:find("17 Vul");
            celestia:select(obj);
            obs:follow(obj);          
            obs:center(obj);
            radians = math.rad(25)
            obs:setfov(radians) 
            celestia:setfaintestvisible(7.9) 
            celestia:setstarstyle("fuzzy")  
        end
    end) ();
----------------------------------------
  constLat330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,1,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Incl. all"))
    :movable(false)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-30), 2, 5+14*30)

 constLat330Box.Action = (function()
    return
        function()
            celestia: setrenderflags {constellations = true}
            celestia: hideconstellations ()
            celestia: showconstellations ()
     end
 end) ();
--====================
  constLat334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ρ"))
    :movable(false)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-34), 2+40, 5+14*34)

constLat3342Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("RHO"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-34), 0, 5+14*34)
----------------------------------------
  constLat335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("σ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-35), 2+40, 5+14*35)

constLat3352Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SIG"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-35), 0, 5+14*35)
----------------------------------------
  constLat336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("τ"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113, 2+14*(gg-36), 2+40, 5+14*36)

constLat3362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TAU"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-36), 0, 5+14*36)
---------------------------------------
  constLat337Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :movetext(-3, 10)                              
    :text(_("υ"))
    :movable(true)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-37), 2+40, 5+14*37)

constLat3372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("UPS"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-37), 0, 5+14*37)
----------------------------------------
  constLat338Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :movetext(-4, 10)                              
    :text(_("φ"))
    :movable(true)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-38), 2+40, 5+14*38)

constLat3382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("PHI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-38), 0, 5+14*38)
---------------------------------------
  constLat339Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :movetext(-4, 10)                              
    :text(_("χ"))
    :movable(true)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-39), 2+40, 5+14*39)

constLat3392Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("CHI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-39), 0, 5+14*39)
----------------------------------------
  constLat340Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :movetext(-4, 10)                              
    :text(_("ψ"))
    :movable(true)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-40), 2+40, 5+14*40)

constLat3402Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("PSI"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-40), 0, 5+14*40)
---------------------------------------
  constLat341Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :textfont(normalfont)   
    :textcolor({0,1,1,0.5})
    :movetext(-5, 10)                              
    :text(_("ω"))
    :movable(true)
    :active(true)  
    :attach( constLatFrame, 113, 2+14*(gg-41), 2+40, 5+14*41)

constLat3412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(1, 9)
    :text(_("OME"))
    :movable(false)
    :active(true) 
    :attach( constLatFrame, 113+10, 2+14*(gg-41), 0, 5+14*41)
----------------------------------------------------------