---------------------------------------------------
-- exoNamBox.lua
-- by Lygin Gennady a.k.a. Croc 27.05.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local exoNamFrameWidth, exoNamFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
exoNamBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, 0, 0, 0, 0)

exoNamBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    exoNamButton.Visible = GuidesVisibility -- display or undisplay Button
    exoNamCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if exoNamCheck.Text ==  "o" then
		exoNamFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

exoNamButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("EN"))
    :movable(false)
    :visible(false) 
    :active(true)    
    :attach(exoNamBox,0,0,0,0)

exoNamCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true)      
        :attach(exoNamBox, 20, 0, 0, 0)

exoNamButton.Action = (function()
        return
            function()
              display_exoNam = not display_exoNam
                if display_exoNam then 
                    actual_renderflags = celestia:getrenderflags()                
                    exoNamFrame.Visible = true                    
                    exoNamCheck.Text = "o" 
                    celestia:seturl("cel://Follow/Sol/2019-04-09T23:15:39.64790?x=AEDrxqKrR6cF&y=AIBNUrPnco0E&z=AFBCDXdpY83+/////////w&ow=0.596321&ox=0.210386&oy=-0.732898&oz=-0.250997&select=Sol&fov=40&ts=100000&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setorbitflags{Star = true}					
                    celestia:setstarstyle("point")
                    celestia:show("planets") -- планеты 
					celestia:setrenderflags{orbits = true}
					celestia:showlabel("planets")  -- планеты
					
                else                    
                    exoNamFrame.Visible = false                   
                    exoNamCheck.Text = ""  
                    celestia:seturl("cel://Follow/Sol/2019-04-09T23:15:39.64790?x=AEDrxqKrR6cF&y=AIBNUrPnco0E&z=AFBCDXdpY83+/////////w&ow=0.596321&ox=0.210386&oy=-0.732898&oz=-0.250997&select=Sol&fov=40&ts=100000&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setorbitflags{Star = true}					
                    celestia:setstarstyle("point") 
                    celestia:show("planets") -- планеты 
					celestia:setrenderflags{orbits = true}
					celestia:showlabel("planets")  -- планеты					
                end
            end
        end) ()		
-------------------------------------------------------
exoNamFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-exoNamFrameWidth)/2, height-exoNamFrameHeight-2, (width-exoNamFrameWidth)/2, 2)

 exoNamFrame.Customdraw = function(this) 

            if exoNam_firstTickDone then
            if not(exoNamCloseButtonDone) then
                exoNamCloseButtonDone = true
                makeCloseButton(exoNamCloseButton, exoNamFrame, exoNamButton)
            end
            else
                exoNam_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
                if height>=768  then              
                    exoNamFrame:attach(screenBox, width-exoNamFrameWidth-36, height-exoNamFrameHeight-128-27, 36, 128+27) 					
                else
                    exoNamFrame:attach(screenBox, width-exoNamFrameWidth-200, height-exoNamFrameHeight-3, 200, 3) 
                end
            end
       
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,1,0.8})        
	    textlayout:setpos(this.lb+15, this.tb - 14)       
            textlayout:println(_("   Named exoplanets"))
end
--=====================
-- Подключение команд 
--=====================
exoNam101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,1,0,0.8})   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Star / Planet:"))
    :movable(false)
    :active(false) 
    :attach( exoNamFrame, 2, 2+14*(gg-1), 86, 5+14*1)
---------------------------------
 exoNam102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Veritate"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-2), 86, 5+14*2)

 exoNam102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("14 And")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(40)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Spe"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-3), 86, 5+14*3)

 exoNam103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("14 And/Spe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
---------------------------------
 exoNam104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Musica"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-4), 86, 5+14*4)

 exoNam104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("18 Del")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(100)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam5Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("")    
    :movetext(4, 9)
    :text(_("Arion"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-5), 86, 5+14*5)

 exoNam5Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("18 Del/Arion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
---------------------------------
 exoNam106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Fafnir"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-6), 86, 5+14*6)

 exoNam106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("42 Dra")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ()
--------------------------------------
 exoNam107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Orbitar"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-7), 86, 5+14*7)

 exoNam107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("42 Dra/Orbitar")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
 --=================
 exoNam108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Chalawan"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-8), 86, 5+14*8)

 exoNam108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("47 UMa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Taphao Thong"))
    :movable(false)
    :active(true)
    :attach( exoNamFrame, 2, 2+14*(gg-9), 86, 5+14*9)

 exoNam109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("47 UMa/Taphao Thong")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               obs:goto(obj)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
-----------------------------------
 exoNam110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Taphao Kaew"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-10), 86, 5+14*10)

 exoNam110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("47 UMa/Taphao Kaew")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               obs:goto(obj)
            celestia:settimescale(400)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("d"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-11), 86, 5+14*11)

 exoNam111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("47 UMa/d")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)               
               obs:goto(obj) 
            celestia:settimescale(500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--================
 exoNam112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Helvetios"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-12), 86, 5+14*12)

 exoNam112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("51 Peg")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Dimidium"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-13), 86, 5+14*13)

 exoNam113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("51 Peg/Dimidium")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Copernicus"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-14), 86, 5+14*14)

 exoNam114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("55 Cnc A")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Galileo"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-15), 86, 5+14*15)

 exoNam115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 75732/Galileo-exo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Brahe"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-16), 86, 5+14*16)

 exoNam116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 75732/Brahe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(20000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Lipperhey"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-17), 86, 5+14*17)

 exoNam117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 75732/Lipperhey")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Janssen"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-18), 86, 5+14*18)

 exoNam118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 75732/Janssen")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Harriot"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-19), 86, 5+14*19)

 exoNam119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 75732/Harriot")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Ain"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-20), 86, 5+14*20)

 exoNam120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("74 Tau")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Amateru"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-21), 86, 5+14*21)

 exoNam121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("74 Tau/Amateru")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Ran"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-22), 86, 5+14*22)

 exoNam122Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("18 Eri") 
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(3, 9)
    :text(_("AEgir"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-23), 86, 5+14*23)

 exoNam123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("18 Eri/AEgir")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-24), 86, 5+14*24)

 exoNam124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("18 Eri/c")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--================
 exoNam125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Arrai"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-25), 86, 5+14*25)

 exoNam125Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("35 Cep") 
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            radians = math.rad(100)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Tadmor"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-26), 86, 5+14*26)

 exoNam126Box.Action = (function()
    return 
           function()    
            local obj = celestia:find("35 Cep/Tadmor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
 exoNam127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Fomalhaut"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-27), 86, 5+14*27)

 exoNam127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("24 PsA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
---------------------------------
 exoNam128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Dagon"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-28), 86, 5+14*28)

 exoNam128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("24 PsA/Dagon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Tonatiuh"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-29), 86, 5+14*29)

 exoNam129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 104985")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(80000)
            radians = math.rad(25)
            obs:setfov(radians)
            end
        end
    end) ()
-----------------------------------
 exoNam130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Meztli"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-30), 86, 5+14*30)

 exoNam130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 104985/Meztli")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Ogma"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-31), 86, 5+14*31)

 exoNam131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 149026")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) ()
---------------------------------
 exoNam132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Smertrios"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-32), 86, 5+14*32)

 exoNam132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 149026/Smertrios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Intercrus"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-33), 86, 5+14*33)

 exoNam133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 81688")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Arkas"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-34), 86, 5+14*34)

 exoNam134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 81688/Arkas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(obj)
            celestia:settimescale(1000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Cervantes"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-35), 86, 5+14*35)

 exoNam135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 86796")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(20000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Quijote"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-36), 86, 5+14*36)

 exoNam136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 86796/Quijote")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------------
 exoNam137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Dulcinea"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-37), 86, 5+14*37)

 exoNam137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 86796/Dulcinea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------
 exoNam138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Rocinante"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 2, 2+14*(gg-38), 86, 5+14*38)

 exoNam138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 86796/Rocinante")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
   --         celestia:settimescale(500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--------------------------------
 exoNam139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Sancho"))
    :movable(false)
    :active(true) 
    :attach(exoNamFrame, 2, 2+14*(gg-39), 86, 5+14*39)

 exoNam139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 86796/Sancho")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color0)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("* When FOV=120 degrees to use"))
    :movable(false)
    :active(false) 
    :attach(exoNamFrame, 2, 2+14*(gg-40), 2, 5+14*40)

 exoNam140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(14)
            obs:setfov(radians)
            end
        end
    end) ()
---------------------------------
 exoNam141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color0)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("the button [End] or mouse wheel."))
    :movable(false)
    :active(false) 
    :attach(exoNamFrame, 2, 2+14*(gg-41), 2, 5+14*41)

 exoNam141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(14)
            obs:setfov(radians)
            end
        end
    end) ()
--=================
 exoNam201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor({1,1,0,0.8})  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Star / Planet:"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-1), 2, 5+14*1)
--================
exoNam202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pollux"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-2), 2, 5+14*2)

 exoNam202Box.Action = (function()
    return
        function()
            local obj = celestia:find("HIP 37826")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
----------------------------------
 exoNam203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Thestias"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-3), 2, 5+14*3)

 exoNam203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 37826/Thestias")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               obs:goto(obj)
            celestia:settimescale(1500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--================
exoNam204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Lich"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-4), 2, 5+14*4)

 exoNam204Box.Action = (function()
    return
        function()
            local obj = celestia:find("PSR 1257+12")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(25)
            obs:setfov(radians)
            end
        end
    end) () 
----------------------------------
 exoNam205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Draugr"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-5), 2, 5+14*5)

 exoNam205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR 1257+12/Draugr")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)               
               obs:goto(obj)
            celestia:settimescale(400)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------
exoNam206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Poltergeist"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-6), 2, 5+14*6)

 exoNam206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR 1257+12/Poltergeist")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
 ---------------------------------
 exoNam207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6) 
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Phobetor"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-7), 2, 5+14*7)

 exoNam207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR 1257+12/Phobetor")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               
               obs:goto(obj)
            celestia:settimescale(25000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
 ------------------------------------
 exoNam208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("D #"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-8), 2, 5+14*8)

 exoNam208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               
               obs:goto(obj)
            celestia:settimescale(500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
exoNam209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Titawin"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-9), 2, 5+14*9)

 exoNam209Box.Action = (function()
    return
        function()
            local obj = celestia:find("HIP 7513")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2500)
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
 exoNam210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Saffar"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-10), 2, 5+14*10)

 exoNam210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 7513/Saffar")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               
               obs:goto(obj)
            celestia:settimescale(1500)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------------
exoNam211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Samh"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-11), 2, 5+14*11)

 exoNam211Box.Action = (function()
    return
        function()
            local obj = celestia:find("HIP 7513/Samh")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
 exoNam212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Majriti"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-12), 2, 5+14*12)

 exoNam212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 7513/Majriti")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               
               obs:goto(obj)
            celestia:settimescale(150)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--================
 exoNam213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Libertas"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-13), 2, 5+14*13)

 exoNam213Box.Action = (function()
    return
        function()
            local obj = celestia:find("HIP 97938")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(40000)
            radians = math.rad(24)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
 exoNam214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Fortitudo"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-14), 2, 5+14*14)

 exoNam214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 97938/Fortitudo")           
            celestia:select(obj)
            local obj = celestia:getselection()          
            if not(empty(obj)) then
               obs:follow(obj)
               
               obs:goto(obj)
            celestia:settimescale(150)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
 exoNam215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Edasich"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-15), 2, 5+14*15)

 exoNam215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 75458")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Hypatia"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-16), 2, 5+14*16)

 exoNam216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 75458/Hypatia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--==================== 
 exoNam217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Algieba+"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-17), 22, 5+14*17)

 exoNam217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 50583")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            radians = math.rad(5)
            obs:setfov(radians)
            end
        end
    end) () 
---------------------------------------
 exoNam2171Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-17), 2, 5+14*17)

 exoNam2171Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 50583/HIP 50583 b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) () 
---------------------------------------
 exoNam2171Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 136+12, 2+14*(gg-17), 12, 5+14*17)

 exoNam2171Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 50583/HIP 50583 c")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--====================
 exoNam218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("BA+2"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-18), 12, 5+14*18)

 exoNam218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 77578")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam2181Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-18), 2, 5+14*18)

 exoNam2181Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 77578/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--=================== 
 exoNam219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Bagu+28"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 86, 2+14*(gg-19), 12, 5+14*19)

 exoNam219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 31039")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400000)
            radians = math.rad(100)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam2191Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 146+12, 2+14*(gg-19), 2, 5+14*19)

 exoNam2191Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 31039/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
 exoNam220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Guansuo-7"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-20), 12, 5+14*20) 

 exoNam220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 78159")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500000)
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------------
 exoNam2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-20), 2, 5+14*20) 

 exoNam2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 78159/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--=================== 
 exoNam221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Durre Menthor"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 86, 2+14*(gg-21), 2, 5+14*21) 

 exoNam221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(100)
            obs:setfov(radians)
            end
        end
    end) ()
-------------------------------------
exoNam222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Amivint"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-22), 2, 5+14*22)

exoNam222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(60 )
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------------	
exoNam223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Daril"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-23), 2, 5+14*23) 

exoNam223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102/c")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()	
-------------------------------------
exoNam224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Fegin"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-24), 2, 5+14*24) 

 exoNam224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102/d")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
exoNam225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("Yabuza"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-25), 2, 5+14*25)

 exoNam225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102/e")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(4, 9)
    :text(_("K'n'iloq"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-26), 2, 5+14*26)

 exoNam226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 8102/f")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
-- ================================
 exoNam227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))        
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-27), 2, 5+14*27) 
--=========================
exoNam228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))        
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-28), 2, 5+14*28) 
--===================
 exoNam229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Yeji")) 
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-29), 12, 5+14*29) 

 exoNam229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 31592")         
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
 exoNam2291Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b")) 
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-29), 2, 5+14*29) 

 exoNam2291Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 31592/b")         
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
 exoNam230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kapteyn. St."))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-30), 22, 5+14*30)

 exoNam230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 24186")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) () 
----------------------------------------
  exoNam2301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color6)  
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" c"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 136+12, 2+14*(gg-30), 12, 5+14*30)

 exoNam2301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 24186/c")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(2)
            obs:setfov(radians)
            end
        end
    end) () 
----------------------------------------
  exoNam2302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-30), 2, 5+14*30)

 exoNam2302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 24186/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Muscida"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-31), 12, 5+14*31)

 exoNam231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 41704")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400000)
            radians = math.rad(90)
            obs:setfov(radians)
            end
        end
    end) () 
 --------------------------------
 exoNam2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-31), 2, 5+14*31)

 exoNam2311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 41704/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
--===================
 exoNam232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Muscida P."))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-32), 12, 5+14*32) 

 exoNam232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 42527")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
exoNam2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-32), 2, 5+14*32) 

 exoNam2321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 42527/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
--====================
 exoNam233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Rigil Kent. B"))
    :movable(false)
    :active(true) 
  :attach( exoNamFrame, 86, 2+14*(gg-33), 12, 5+14*33) 

 exoNam233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rigil Kentaurus B")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) ()
--------------------------------------
 exoNam2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
  :attach( exoNamFrame, 146+12, 2+14*(gg-33), 2, 5+14*33) 

 exoNam2331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rigil Kentaurus B/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Sinistra"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-34), 12, 5+14*34) 

 exoNam234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 88048")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-34), 2, 5+14*34) 

 exoNam2341Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 88048/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
--------------------------------------
 exoNam2342Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color6)  
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" c"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 136+12, 2+14*(gg-30), 12, 5+14*30)

 exoNam2342Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 88048/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(2)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wu Zhuh.-2"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-35), 12, 5+14*35) 

 exoNam235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 62886")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------------
 exoNam2351Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-35), 2, 5+14*35) 

 exoNam2351Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 62886/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000000)
            radians = math.rad(25)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wu Zhuh.-6"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-36), 12, 5+14*36)

 exoNam236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 60202")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) () 
 --=====================
 exoNam2361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-36), 2, 5+14*36)

 exoNam2361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 60202/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pherkad M."))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-37), 12, 5+14*37) 

 exoNam237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 74793")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400000)
            radians = math.rad(155)
            obs:setfov(radians)
            end
        end
    end) ()
 --------------------------------------
 exoNam2371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 146+12, 2+14*(gg-37), 2, 5+14*37) 

 exoNam2371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 74793/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) () 
 --===================
 exoNam238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Hamal"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 86, 2+14*(gg-38), 12, 5+14*38) 

 exoNam238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 9884")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) () 
 -------------------------------------
 exoNam2381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 146+12, 2+14*(gg-38), 2, 5+14*38) 

 exoNam2381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 9884/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
 --=================== 
 exoNam239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Yousheti-2"))
    :movable(false)
    :active(true) 
    :attach( exoNamFrame, 86, 2+14*(gg-39), 12, 5+14*39) 

 exoNam239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Yousheti-2")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000000)
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) () 
-------------------------------- 
 exoNam2391Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
   :attach( exoNamFrame, 146+12, 2+14*(gg-39), 2, 5+14*39) 

 exoNam2391Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("4 Boo B/b")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2500)
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ()
