----------------------------------------------
-- galNamBox.lua
-- by Lygin Gennady a.k.a. Croc 13.01.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";                                           
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local galNamFrameWidth, galNamFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
galNamBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

galNamButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("GN"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(galNamBox,0,0,0,0)

galNamCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true) 
        :attach(galNamBox, 20, 0, 0, 0)

galNamBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    galNamButton.Visible = GuidesVisibility -- display or undisplay Button
    galNamCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if galNamCheck.Text ==  "o" then
		galNamFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

galNamButton.Action = (function()
        return
            function()
              display_galNam = not display_galNam;
                if display_galNam then   
                    actual_renderflags = celestia:getrenderflags()               
                    galNamFrame.Visible = true;                    
                    galNamCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);

                --  границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:hideconstellations()
                    celestia:hide("constellations");
                    celestia:hidelabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:hide("boundaries"); -- границы

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:show("globulars"); -- шаровые скопления
                    celestia:show("openclusters"); -- рассеянные скопления
                    celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты                  

                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:hidelabel("planets")  -- планеты
                    celestia:hidelabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:setstarstyle("point")

                else                    
                    galNamFrame.Visible = false;                   
                    galNamCheck.Text = "";
                    celestia:setrenderflags(actual_renderflags)
                    radians = math.rad(35)
                    obs:setfov(radians)
                    celestia:setfaintestvisible(8.0) 
                    celestia:setstarstyle("disc") 
                    celestia:setgalaxylightgain(0.5) 
                end
            end
        end) ();
-----------------------------------------------------
galNamFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.9, 0.9, 0.9, 0.25})
    :fillcolor(color83)  
    :textfont(titlefont)
    :textcolor({0.8, 0.8, 0.8, 0.9})
    :textpos("center")
    :movetext(0, -10)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-galNamFrameWidth)/2, height-galNamFrameHeight-2, (width-galNamFrameWidth)/2, 2)

 galNamFrame.Customdraw = function(this)

            if  galNam_firstTickDone then
            if not(galNamCloseButtonDone) then
                galNamCloseButtonDone = true;
                makeCloseButton(galNamCloseButton, galNamFrame, galNamButton);
            end
            else
                galNam_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;  
                if height>=768  then             
                    galNamFrame:attach(screenBox, width-galNamFrameWidth-36, height-galNamFrameHeight-128-27, 36, 128+27)
                else
                    galNamFrame:attach(screenBox, width-galNamFrameWidth-200, height-galNamFrameHeight-3, 200, 3)
                end
            end

            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+25, this.tb - 14);         
            textlayout:println(_("   Named galaxy"));
end;
--===================
-- Подключение команд 
--===================
galNam101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Antennas"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 2, 2+14*(gg-1), 113, 5+14*1)

galNam101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4038");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Butterfly"))  
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 2, 2+14*(gg-2), 113, 5+14*2)

galNam102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4568");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.15) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Barnard's"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-3), 113, 5+14*3)
 
galNam103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6822");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.4)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Blender"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-4), 113, 5+14*4)

galNam104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 474");
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.4)  
            celestia:hide("nebulae");   
            end
        end
    end) ();
------------------------------------
galNam105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pancake"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-5), 113, 5+14*5)

galNam105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2685");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.4)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LMC"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-6), 113, 5+14*6)

galNam106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("LMC");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(35.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Bond's"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-7), 113, 5+14*7)

galNam107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7793");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(18.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0)
               celestia:setgalaxylightgain(0.3)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("BabyBoom"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-8), 113, 5+14*8)

galNam108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Baby Boom");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.002)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.6) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spindle"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-9), 113, 5+14*9)

galNam109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3115");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("L.Spindle"))
    :movable(false)
    :active(true) 
    :attach( galNamFrame,  2, 2+14*(gg-10), 113, 5+14*10)

galNam110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 584");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vinyl LP"))
    :movable(false)
    :active(true) 
    :attach( galNamFrame,  2, 2+14*(gg-11), 113, 5+14*11)

galNam111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4699");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.5) 
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquarius"))
    :movable(false)
    :active(true) 
    :attach( galNamFrame,  2, 2+14*(gg-12), 113, 5+14*12)

galNam112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("AqrDIG");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
          radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Boo"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-13), 113, 5+14*13)

galNam113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 4713553");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
          radians = math.rad(1.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Coma B"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-14), 113, 5+14*14)

galNam114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4889");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Exclamat."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-15), 113, 5+14*15)

galNam115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Arp 302");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hamburg."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-16), 113, 5+14*16)

galNam116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3628");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hercules A"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-17), 113, 5+14*17)

galNam117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Hercules A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.0011)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Garland"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-18), 113, 5+14*18)

galNam118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3077");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.7) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Guitar"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-19), 113, 5+14*19)

galNam119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3561");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Eye ofGod"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-20), 113, 5+14*20)

galNam120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1232");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.5)
               celestia:setgalaxylightgain(0.1)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tiger'sEye"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-21), 113, 5+14*21)

galNam121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2841");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Eyes A/B"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-22), 113, 5+14*22)

galNam122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4438");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0) 
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tadpole"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-23), 113, 5+14*23)

galNam123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Arp 188");     
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Blue Flash"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-24), 113, 5+14*24)

galNam124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6902");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.5) 
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("DeLange"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-25), 113, 5+14*25)

galNam125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1888");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.5)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Dolphin"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-26), 113, 5+14*26)

galNam126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6670-1");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sliced On."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-27), 113, 5+14*27)

galNam127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3344");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Draco Dw."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-28), 113, 5+14*28)

galNam128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Draco Dwarf");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(3.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Grus"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-29), 113, 5+14*29)

galNam129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7582");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Integral"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-30), 113, 5+14*30)

galNam130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("UGC 3697");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Needle"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-31), 113, 5+14*31)

galNam131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4565");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cas dSph"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-32), 113, 5+14*32)

galNam132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Cas dSph");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Quintet"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-33), 113, 5+14*33)

galNam133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7318A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.5)
               celestia:setgalaxylightgain(0.6) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
----------------------------------
galNam134Box= CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Whale"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-34), 113, 5+14*34)

galNam134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4631");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("BladePearl"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-35), 113, 5+14*35)

galNam135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5746");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Coddingt."))
    :movable(false)
    :active(true)     
    :attach(galNamFrame,  2, 2+14*(gg-36), 113, 5+14*36)

galNam136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 2574");
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cocoon"))
    :movable(false)
    :active(true)     
    :attach(galNamFrame,  2, 2+14*(gg-37), 113, 5+14*37)

galNam137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4490");
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cartwheel"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-38), 113, 5+14*38)

galNam138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 2248");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Colibri"))
    :movable(false)
    :active(true)     
    :attach(galNamFrame,  2, 2+14*(gg-39), 113, 5+14*39)

galNam139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4656");
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet "))
    :movable(false)
    :active(true) 
    :attach(galNamFrame,  2, 2+14*(gg-40), 113, 5+14*40)

galNam140Box.Action = (function()    
    return 
           function()      
            local obj = celestia:find("PGC 3234374");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.9) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("+40 in catalog Messier"))
    :movable(false)
    :active(false) 
    :attach(galNamFrame,  2, 2+14*(gg-41), 59, 5+14*41)
--===================
galNam201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("FeedingM."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-1), 59, 5+14*1)

galNam201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4278");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Box"))
    :movable(false)
    :active(true)  
    :attach(galNamFrame, 59, 2+14*(gg-2), 59, 5+14*2)

galNam202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4169");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("EinsteinC."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-3), 59, 5+14*3)

galNam203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("ZW 2237+030");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.002)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0)
               celestia:setgalaxylightgain(1.0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cosmos."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-4), 59, 5+14*4)

galNam204Box.Action = (function()
    return 
            function()      
             local obj = celestia:find("CR7"); 
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.0033)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0)
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Grassh."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-5), 59, 5+14*5)

galNam205Box.Action = (function()
    return 
            function()      
             local obj = celestia:find("UGC 4881"); 
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0)
               celestia:setgalaxylightgain(0.8) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("HairyEyeb."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-6), 59, 5+14*6)

galNam206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4526");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.33)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cygnus A"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-7), 59, 5+14*7)

galNam207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Cygnus A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.02)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo I"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-8), 59, 5+14*8)

galNam208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("UGC 5470");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0)
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo II"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-9), 59, 5+14*9)

galNam209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("DDO 93");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0) 
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Leo A"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-10), 59, 5+14*10)

galNam210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 28868");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Flying Gh."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-11), 59, 5+14*11)

galNam211Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("NGC 520"); 
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.08)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Little Pinw."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-12), 59, 5+14*12)

galNam212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3184");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0)
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Maffei"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-13), 59, 5+14*13)

galNam213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 10217");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(6.0)
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Bear Paw"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-14), 59, 5+14*14)

galNam214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2537");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.5)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mayall's o."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-15), 59, 5+14*15)

galNam215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Arp 148");    
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.03)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.5)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Minkowski"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-16), 59, 5+14*16)

galNam216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 541");    
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("AtomInP."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-17), 59, 5+14*17)

galNam217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7252");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Milky Way "))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-18), 59, 5+14*18)

galNam218Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Milky Way");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(120.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0)
               celestia:setgalaxylightgain(0.7)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SMC"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-19), 59, 5+14*19)

galNam219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SMC");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(35.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.5)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Milkweed"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-20), 59, 5+14*20)

galNam220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 247");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.7)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mice"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-21), 59, 5+14*21)

galNam221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4676B");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.08)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.2)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("UFO"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-22), 59, 5+14*22)

galNam222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2683");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.6)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Splinter"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-23), 59, 5+14*23)

galNam223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5907");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.5)
               celestia:setgalaxylightgain(0.6)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pandora's"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-24), 59, 5+14*24)

galNam224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Abell 2744");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(20)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0)
               celestia:setgalaxylightgain(1.0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Papillon"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-25), 59, 5+14*25)

galNam225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 708");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.6)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spider"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-26), 59, 5+14*26)

galNam226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("DDO 84");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.6)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Peg DIG"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-27), 59, 5+14*27)

galNam227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 71538");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.6)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Perseus A"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-28), 59, 5+14*28)

galNam228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1275");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fornax"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-29), 59, 5+14*29)

galNam229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1316");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fornax dS."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-30), 59, 5+14*30)

galNam230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Fornax Dwarf");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(1.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.5)
               celestia:setgalaxylightgain(0.05) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Penguin"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-31), 59, 5+14*31)

galNam231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2936");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.07)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.5)
               celestia:setgalaxylightgain(0.05) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tweezers"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-32), 59, 5+14*32)

galNam232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4945");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("PolarRing"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-33), 59, 5+14*33)

galNam233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 660");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("PolarD.R."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-34), 59, 5+14*34)

galNam234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Arp 147");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(1.0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam235Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lost Space"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-35), 59, 5+14*35)

galNam235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6503");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lost"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-36), 59, 5+14*36)

galNam236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4535");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Stream"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-37), 59, 5+14*37)

galNam237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Stream");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(120.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0)
               celestia:setgalaxylightgain(0.7)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mirach's"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-38), 59, 5+14*38)

galNam238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scarecrow"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-39), 59, 5+14*39)

galNam239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 1613");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Seashell"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 59, 2+14*(gg-40), 59, 5+14*40)

galNam240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5291-1");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--===================
galNam301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Roberts"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 106+7, 2+14*(gg-1), 2, 5+14*1)

galNam301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 88");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rose Gal."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-2), 2, 5+14*2)

galNam302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Arp 273");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.75)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pisces I"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-3), 2, 5+14*3)

galNam303Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Pisces I");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(3.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(1.0)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Polaris. B."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-4), 2, 5+14*4)

galNam304Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3172");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.35)
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sextans"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-5), 2, 5+14*5)

galNam305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sextans A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.9) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sextet"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-6), 2, 5+14*6)

galNam306Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6027a");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Septet"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-7), 2, 5+14*7)

galNam307Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3746");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.03)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Silver N."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-8), 2, 5+14*8)

galNam308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4244");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("WLM"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-9), 2, 5+14*9)

galNam309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("WLM");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
-------------------------------------
galNam310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Silverado"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-10), 2, 5+14*10)

galNam310Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3370");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Keenan'sS."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-11), 2, 5+14*11)

galNam311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5218");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fiddlehead"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-12), 2, 5+14*12)

galNam312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 772");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.25) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sculptor"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-13), 2, 5+14*13)

galNam313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 621");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.6)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SilverCoin"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-14), 2, 5+14*14)

galNam314Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 253");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.75)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.2)   
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sn. Collar"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-15), 2, 5+14*15)

galNam315Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1291");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.75)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arp's Spir."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-16), 2, 5+14*16)

galNam316Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2857");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sprinkler"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-17), 2, 5+14*17)

galNam317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1300");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.3)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.1) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagit. dS."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-18), 2, 5+14*18)

galNam318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sagittarius dSph");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(15.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.3) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sagit.DIG"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-19), 2, 5+14*19)

galNam319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sagittarius DIG");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0)
               celestia:setgalaxylightgain(0.6)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Helix"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-20), 2, 5+14*20)

 galNam320Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2865");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.05) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("S. Factory"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-21), 2, 5+14*21)

 galNam321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2770");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fireworks"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-22), 2, 5+14*22)

 galNam322Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6946");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Phoen.Dw."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-23), 2, 5+14*23)

 galNam323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 6830");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hanny"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-24), 2, 5+14*24)

 galNam324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 2497");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.035)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
  galNam325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hickson"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-25), 2, 5+14*25)

 galNam325Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3190");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.35)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hoag's O."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-26), 2, 5+14*26)

galNam326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 54559");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.035)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0)
               celestia:setgalaxylightgain(0.6) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Holmberg"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-27), 2, 5+14*27)

 galNam327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Ho IX");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Heron"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-28), 2, 5+14*28)

galNam328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5395");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.15)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.2)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
galNam329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Zwicky T."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-29), 2, 5+14*29)

galNam329Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 3483");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.35)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Centaur.A."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-30), 2, 5+14*30)

 galNam330Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 5128");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(1.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.1) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
---------------------------------------
  galNam331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Chain.."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-31), 2, 5+14*31) 

 galNam331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4438");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cepheus1"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-32), 2, 5+14*32)

 galNam332Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Cepheus 1");          
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.25)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.75)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Circinus"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-33), 2, 5+14*33)

 galNam333Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Circinus");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.5)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.05) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Horolog."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-34), 2, 5+14*34)

 galNam334Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1448");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(7.0)
               celestia:setgalaxylightgain(0.5) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Electric A."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-35), 2, 5+14*35)

 galNam335Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7814");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Polaris. A."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-36), 2, 5+14*36)

 galNam336Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2573");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.4) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("S.Ellipse"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-37), 2, 5+14*37)

galNam337Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("AM 0644-741");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.7) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
  galNam338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lacertae"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-38), 2, 5+14*38)

 galNam338Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("BL Lacertae");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.05)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.7)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
galNam339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Core Gal."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-39), 2, 5+14*39)

galNam339Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4314");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj);
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.2)  
            celestia:hide("nebulae");                                
            end
        end
    end) ();
------------------------------------
  galNam340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Faberge"))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-40), 2, 5+14*40)

 galNam340Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 4605");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.2)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.5)
               celestia:setgalaxylightgain(0.2) 
            celestia:hide("nebulae");                                
            end
        end
    end) ();
--------------------------------------
  galNam341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({1,0,0,.5})
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("~ coordin."))
    :movable(false)
    :active(true) 
    :attach(galNamFrame, 113, 2+14*(gg-41), 2, 5+14*41)

