----------------------------------------------
-- nebNamBox.lua
-- by Lygin Gennady a.k.a. Croc 14.01.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local nebNamFrameWidth, nebNamFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
nebNamBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

nebNamButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("NN"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(nebNamBox,0,0,0,0) 

nebNamCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(nebNamBox, 20, 0, 0, 0)

nebNamBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    nebNamButton.Visible = GuidesVisibility -- display or undisplay Button
    nebNamCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if nebNamCheck.Text ==  "o" then
		nebNamFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

nebNamButton.Action = (function()
        return
            function()
                display_nebNam = not display_nebNam;
                if display_nebNam then  
                    actual_renderflags = celestia:getrenderflags()                           
                    nebNamFrame.Visible = true;                     
                    nebNamCheck.Text = "o"; 

                   local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);

                --  границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:hideconstellations()
                    celestia:hide("constellations");
                    celestia:hidelabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:hide("boundaries"); -- границы

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:show("globulars"); -- шаровые скопления
                    celestia:show("openclusters"); -- рассеянные скопления
                    celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты                  

                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:hidelabel("planets")  -- планеты
                    celestia:hidelabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:setstarstyle("point")
              else          
                    nebNamFrame.Visible = false;                   
                    nebNamCheck.Text = "";
                    celestia:setrenderflags(actual_renderflags)
                    celestia:hide("nebulae"); -- туманности
                    radians = math.rad(35)
                    obs:setfov(radians)
                    celestia:setfaintestvisible(8.0) 
                    celestia:setstarstyle("disc") 
                    celestia:setgalaxylightgain(0.5) 
                end
            end
        end) ();               
--------------------------------------------------
nebNamFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-nebNamFrameWidth)/2, height-nebNamFrameHeight-2, (width-nebNamFrameWidth)/2, 2)

 nebNamFrame.Customdraw = function(this) 

            if nebNam_firstTickDone then
            if not(nebNamCloseButtonDone) then
                nebNamCloseButtonDone = true;
                makeCloseButton(nebNamCloseButton, nebNamFrame, nebNamButton);
            end
            else
                nebNam_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then              
                    nebNamFrame:attach(screenBox, width-nebNamFrameWidth-36, height-nebNamFrameHeight-128-27, 36, 128+27) 
               else
                    nebNamFrame:attach(screenBox, width-nebNamFrameWidth-200, height-nebNamFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8});     
	    textlayout:setpos(this.lb+10, this.tb - 14);       
            textlayout:println(_("     NEBULAE NAMED"));
end;

--===================
-- Подключение команд 
-------------------------------------
nebNam101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Butterfly "))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-1), 86, 5+14*1)

nebNam101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6302");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(obj); 
               radians = math.rad(0.1)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
--------------------------------------
nebNam102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Albino Butterfly"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-2), 86, 5+14*2)

nebNam102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2440");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(35.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Run. Chicken"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-3), 86, 5+14*3)

nebNam103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 2948");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(60.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Running Man"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-4), 86, 5+14*4)

nebNam104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1977");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.3) 
            end
        end
    end) ();
-------------------------------------
nebNam105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Boomerang"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-5), 86, 5+14*5)

nebNam105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PGC 3074547");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Witch's Broom"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-6), 86, 5+14*6)

nebNam106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6960");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eight Burst"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-7), 86, 5+14*7)

nebNam107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3132");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.4) 
            end
        end
    end) ();
-------------------------------------
nebNam108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Veil"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-8), 86, 5+14*8)

nebNam108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Veil");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(35.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bow-Tie"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-9), 86, 5+14*9)

nebNam109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 40");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.6) 
            end
        end
    end) ();
-------------------------------------
nebNam110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cleopatra's Eye"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-10), 86, 5+14*10)

nebNam110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1535");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Witchhead"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-11), 86, 5+14*11)

nebNam111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 2118");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Monkey Head"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-12), 86, 5+14*12)

nebNam112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2174");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(45.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ghost Head"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-13), 86, 5+14*13)

nebNam113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2080");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Blue"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-14), 86, 5+14*14)

nebNam114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3918");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.3) 
            end
        end
    end) ();
-------------------------------------
nebNam115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Homunculus"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-15), 86, 5+14*15)

nebNam115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Homunculus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.3) 
            end
        end
    end) ();
-------------------------------------
nebNam116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Soul"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-16), 86, 5+14*16)

nebNam116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 1848");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.3) 
            end
        end
    end) ();
-------------------------------------
nebNam117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Keyhole"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-17), 86, 5+14*17)

nebNam117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3324");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Snake"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-18), 86, 5+14*18)

nebNam118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Barnard 72");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Emerald Eye"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-19), 86, 5+14*19)

nebNam119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6572");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(50.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Italy"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-20), 86, 5+14*20)

nebNam120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2024");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Calabash"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-21), 86, 5+14*21)

nebNam121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Calabash");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("California"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-22), 86, 5+14*22)

nebNam122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1499");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--------------------------------------
nebNam123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pencil"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-23), 86, 5+14*23)

nebNam123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2736");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(10.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cocoon"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-24), 86, 5+14*24)

nebNam124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 5146");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Horsehead"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-25), 86, 5+14*25)

nebNam125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 434");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel); 
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.35) 
            end
        end
    end) ();
-------------------------------------
nebNam126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cone"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-26), 86, 5+14*26)

nebNam126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2264");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Box "))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-27), 86, 5+14*27)

nebNam127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6309");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cat's Eye"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-28), 86, 5+14*28)

nebNam128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6543");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cat's Paw"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-29), 86, 5+14*29)

nebNam129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6334");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.3) 
            end
        end
    end) ();
-------------------------------------
nebNam130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Red Spider"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-30), 86, 5+14*30)

nebNam130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6537");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Red Rectangle"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-31), 86, 5+14*31)

nebNam131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("RAFGL 915");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ice Nebula"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-32), 86, 5+14*32)

nebNam132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IRAS 09371+1212");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--------------------------------------
nebNam133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("False Comet"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-33), 86, 5+14*33)

nebNam133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("False Comet");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sliced Lime"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-34), 86, 5+14*34)

nebNam134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 3568");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Maia "))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-35), 86, 5+14*35)

nebNam135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1432");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.4) 
            end
        end
    end) ();
--------------------------------------
nebNam136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Little Gem"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-36), 86, 5+14*36)

nebNam136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6818");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Little Gemstone"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-37), 86, 5+14*37)

nebNam137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6445");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Medusa"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-38), 86, 5+14*38)

nebNam138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Abell 21");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Merope "))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-39), 86, 5+14*39)

nebNam139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1435");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Blinking"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-40), 86, 5+14*40)

nebNam140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6826");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Minkowski's"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 2, 2+14*(gg-41), 86, 5+14*41)

nebNam141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Minkowski's Butterfly");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--===================
nebNam201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ant"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-1), 2, 5+14*1)

nebNam201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Mz3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Headphone"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-2), 2, 5+14*2)

nebNam202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Headphone Nebula");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lobster"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-3), 2, 5+14*3)

nebNam203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6357");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pacman"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-4), 2, 5+14*4)

nebNam204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 281");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pelican"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-5), 2, 5+14*5)

nebNam205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 5070");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hubble's"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-6), 2, 5+14*6)

nebNam206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2261");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hind's"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-7), 2, 5+14*7)

nebNam207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1555");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Engraved Hour."))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-8), 2, 5+14*8)

nebNam208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MyCn 18");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) (); 
-------------------------------------
nebNam209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cave"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-9), 2, 5+14*9)

nebNam209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Caldwell 9");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
-------------------------------------
nebNam210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Crescent"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-10), 2, 5+14*10)

nebNam210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6888");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
---------------------------------------
nebNam2011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Little Ghost"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-11), 2, 5+14*11)

nebNam2011Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6369");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ghost"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-12), 2, 5+14*12)

nebNam212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("vdB 141");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ghost of Jupiter"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-13), 2, 5+14*13)

nebNam213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 3242");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Coat Button"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-14), 2, 5+14*14)

nebNam214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7008");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bubble"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-15), 2, 5+14*15)

nebNam215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7635");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Flaming Star"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-16), 2, 5+14*16) 

nebNam216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 405");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rubber Stamp"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-17), 2, 5+14*17)

nebNam217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1999");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(8.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rosette"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-18), 2, 5+14*18)

nebNam218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2237");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pink Pillow"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-19), 2, 5+14*19)

nebNam219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7027");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) (); 
-------------------------------------
nebNam220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Saturn Nebula"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-20), 2, 5+14*20)

nebNam220Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("NGC 7009");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
-------------------------------------
nebNam221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("North America"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-21), 2, 5+14*21)

nebNam221Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("NGC 7000");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Heart"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-22), 2, 5+14*22)

nebNam222Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("IC 1805");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Retina"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-23), 2, 5+14*23)

nebNam223Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("IC 4406");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(9.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Stingray"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-24), 2, 5+14*24)

nebNam224Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("PN G331.3-12.1");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Snowball"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-25), 2, 5+14*25)

nebNam225Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("NGC 7662");    
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Helical"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-26), 2, 5+14*26)

nebNam226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 7293");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Spirograph"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-27), 2, 5+14*27)

nebNam227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 418");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
-------------------------------------
nebNam228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tarantula"))
    :movable(false)
    :active(true) 
   :attach(nebNamFrame, 86, 2+14*(gg-28), 2, 5+14*28)

nebNam228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2070");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
--------------------------------------
nebNam229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Coalsack"))
    :movable(false)
    :active(true) 
   :attach(nebNamFrame, 86, 2+14*(gg-29), 2, 5+14*29)

nebNam229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Coalsack");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oyster"))
    :movable(false)
    :active(true) 
   :attach(nebNamFrame, 86, 2+14*(gg-30), 2, 5+14*30)

nebNam230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1501");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--------------------------------------
nebNam231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duck"))
    :movable(false)
    :active(true) 
  :attach(nebNamFrame, 86, 2+14*(gg-31), 2, 5+14*31) 

nebNam231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2359");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phantom Streak"))
    :movable(false)
    :active(true) 
  :attach(nebNamFrame, 86, 2+14*(gg-32), 2, 5+14*32) 

nebNam232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6741");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
-------------------------------------
nebNam233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Herbig-Haro"))        
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-33), 2, 5+14*33) 

nebNam233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Herbig-Haro 110");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Elephant'sTrunk"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-34), 2, 5+14*34) 

nebNam234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 1396");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Seagull"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-35), 2, 5+14*35) 

nebNam235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 2177");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(12.0) 
               celestia:setgalaxylightgain(0.5) 
            end
        end
    end) ();
-------------------------------------
nebNam236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Turtle"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-36), 2, 5+14*36) 

nebNam236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6210");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) (); 
-------------------------------------
nebNam237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Black Dragon"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-37), 2, 5+14*37)

nebNam237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("IC 4678");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();  
-------------------------------------
nebNam238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Embryo"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-38), 2, 5+14*38) 

nebNam238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1333");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
-------------------------------------
nebNam239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Escimo"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-39), 2, 5+14*39) 

nebNam239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 2392");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--------------------------------------
nebNam240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Egg"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-40), 2, 5+14*40) 

nebNam240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("CRL 2688");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0.2) 
            end
        end
    end) ();
--------------------------------------
nebNam241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Robin's Egg"))
    :movable(false)
    :active(true) 
    :attach(nebNamFrame, 86, 2+14*(gg-41), 2, 5+14*41) 

nebNam241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 1360");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               radians = math.rad(40.0)
               obs:setfov(radians)
               celestia:setfaintestvisible(11.0) 
               celestia:setgalaxylightgain(0) 
            end
        end
    end) ();
------------------------------------------
 