----------------------------------------------
-- nebulaBox.lua
-- by Lygin Gennady a.k.a. Croc 27.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                            
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local nebulaFrameWidth, nebulaFrameHeight = 170, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
nebulaBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

nebulaButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("NM"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(nebulaBox,0,0,0,0) 

nebulaCheck = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-32, 10)
    :text("")
    :movable(false)
    :active(true)     
    :attach(nebulaBox, 20, 0, 0, 0)

nebulaBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    nebulaButton.Visible = GuidesVisibility -- display or undisplay Button
    nebulaCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if nebulaCheck.Text ==  "o" then
		nebulaFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

nebulaButton.Action = (function()
        return
            function()
              display_nebula = not display_nebula;
                if display_nebula then 
                    actual_renderflags = celestia:getrenderflags()             
                    nebulaFrame.Visible = true;                     
                    nebulaCheck.Text = "o"; 

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:show("globulars"); -- шаровые скопления
                 --   celestia:show("openclusters"); -- рассеянные скопления
                 --   celestia:show("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты                  

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:hidelabel("planets")  -- планеты
                    celestia:hidelabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Dwarfplanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                   
                    radians = math.rad(35)
                    obs:setfov(radians)
                    celestia:setfaintestvisible(8.0) 
                    celestia:setstarstyle("point") 
                else                    
                    nebulaFrame.Visible = false;                     
                    nebulaCheck.Text = ""; 

                    radians = math.rad(35)
                    obs:setfov(radians)
                    celestia:setfaintestvisible(8.0) 
                    celestia:setstarstyle("disc") 
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
----------------------------------
nebulaFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-nebulaFrameWidth)/2, height-nebulaFrameHeight-2, (width-nebulaFrameWidth)/2, 2)

nebulaFrame.Customdraw = function(this)   

            if  nebula_firstTickDone then
            if not( nebulaCloseButtonDone) then
                nebulaCloseButtonDone = true;
                makeCloseButton(nebulaCloseButton, nebulaFrame, nebulaButton);
            end
            else
                nebula_firstTickDone = true;            
            end  

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
                if height>=768  then           
                    nebulaFrame:attach(screenBox, width-nebulaFrameWidth-35, height-nebulaFrameHeight-128-27, 35, 128+27) 
                else
                    nebulaFrame:attach(screenBox, width-nebulaFrameWidth-200, height-nebulaFrameHeight-3, 200, 3)
                end
            end
         
	    textlayout:setfont(smallfont);
            textlayout:setfontcolor({0,1,1,0.8});        
	    textlayout:setpos(this.lb+20, this.tb - 14);       
            textlayout:println(_("  NEBULAE  of  GALAXIES"));     
end;

--================
-- Подключение команд 
--================
neb101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Galaxy Milky Way"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-1), 2, 5+14*1)

neb101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Milky Way");           
            celestia:select(obj);
            local sel = celestia:getselection();  
            radians = math.rad(100)
            obs:setfov(radians)        
            if not(empty(sel)) then    
            celestia:hide("nebulae");           
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();

-------------------------------
neb102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("MW 1"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-2), 106, 5+14*2)

neb102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MW 1");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then 
            celestia:show("nebulae");    
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
neb202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("MW 2"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-2), 54, 5+14*2)

neb202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MW 2");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then 
            celestia:show("nebulae");                
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("MW 3"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-2), 2, 5+14*2)

neb302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MW 3");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then   
            celestia:show("nebulae");              
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
neb103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-3), 2, 5+14*3)
--================
neb104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Galaxy NGC 300"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-4), 2, 5+14*4)
--------------------------------
neb105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 300A"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-5), 106, 5+14*5)

neb105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 300A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
neb205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 300B"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-5), 54, 5+14*5)

neb205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 300B");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 300C"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-5), 2, 5+14*5)

neb305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 300C");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-6), 2, 5+14*6)
--================
neb107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Galaxy NGC 404"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-7), 2, 5+14*7)
--------------------------------
neb108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 404A"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-8), 106, 5+14*8)

neb108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 404B"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-8), 54, 5+14*8)

neb208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404B");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 404C"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-8), 2, 5+14*8)

neb308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404C");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 404D"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-9), 106, 5+14*9)

neb109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404D");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 404E"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-9), 54, 5+14*9)

neb209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 404E");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-9), 2, 5+14*9)

neb309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-10), 2, 5+14*10)
--================
neb111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Andromeda Galaxy"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-11), 2, 5+14*11)
--------------------------------
neb112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31A"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-12), 106, 5+14*12)

neb112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31B"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-12), 54, 5+14*12)

neb212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31B");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31C"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-12), 2, 5+14*12)

neb312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31C");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31D"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-13), 106, 5+14*13)

neb113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31D");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31E"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-13), 54, 5+14*13)

neb213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31E");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31F"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-13), 2, 5+14*13)

neb313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31F");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M31 centr."))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-14), 106, 5+14*14)

neb114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M31 (centre)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 54, 2+14*(gg-14), 54, 5+14*14)
--------------------------------
neb314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 106, 2+14*(gg-14), 2, 5+14*14)
--------------------------------
neb115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor({0,1,0,.8})
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-15), 2, 5+14*15)
--================
neb116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor({0,1,0,.8})
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Triangulum Galaxy"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-16), 2, 5+14*16)
--------------------------------
neb117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33A"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-17), 106, 5+14*17)

neb117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33A"); 
            obj:mark("white", "diamond", 15)          
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33B"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame,54, 2+14*(gg-17), 54, 5+14*17)

neb217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33B");
            obj:mark("white", "diamond", 15)           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33C"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-17), 2, 5+14*17)

neb317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33C"); 
            obj:mark("white", "diamond", 15)          
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33D"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-18), 106, 5+14*18)

neb118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33D"); 
            obj:mark("white", "diamond", 15)          
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33E"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-18), 54, 5+14*18)

neb218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33E"); 
            obj:mark("white", "diamond", 15)          
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33F"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-18), 2, 5+14*18)

neb318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33F");
            obj:mark("white", "diamond", 15)           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33G"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-19), 106, 5+14*19)

neb119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33G");
            obj:mark("white", "diamond", 15)           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33H"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-19), 54, 5+14*19)

neb219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33H");
            obj:mark("white", "diamond", 15)           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33K"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-19), 2, 5+14*19)

neb319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33K"); 
            obj:mark("white", "diamond", 15)         
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33L"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-20), 106, 5+14*20)

neb120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33L");
            obj:mark("white", "diamond", 15)           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M33M-cen."))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-20), 54, 5+14*20)

neb220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M33M (centre)");  
            obj:mark("white", "diamond", 15)         
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
--[[
neb320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({color1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("NGC 604"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-20), 2, 5+14*20)

neb320Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 604");  
            obj:mark("red", "diamond", 15)      
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
]]
--------------------------------
neb121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-21), 2, 5+14*21)
---------------------------------
neb122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Spiral galaxy Bode"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-22), 2, 5+14*22)
--------------------------------
neb123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M81A"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-23), 106, 5+14*23)

neb123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M81A");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M81B"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-23), 54, 5+14*23)

neb223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M81B");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M81C"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-23), 2, 5+14*23)

neb323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M81C");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("M81D-cen."))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-24), 106, 5+14*24)

neb124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("M81D (centre)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 54, 2+14*(gg-24), 54, 5+14*24)

neb224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 106, 2+14*(gg-24), 2, 5+14*24)

neb324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb125Box = CXBox:new()
    :init(0, 0, 0, 0)
  --  :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("Supernova remnants M81 / Puls."))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-25), 2, 5+14*25)
--------------------------------
neb126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("PSR 1"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-26), 110, 5+14*26)

neb126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 1)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P1"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-26), 80, 5+14*26)

neb226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 1)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------------------------------------------
neb127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 3"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-27), 110, 5+14*27)

neb127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 3)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P3"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-27), 80, 5+14*27)

neb227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 3)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 5"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-28), 110, 5+14*28)

neb128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 5)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P5"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-28), 80, 5+14*28)

neb228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 5)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 7"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-29), 110, 5+14*29)

neb129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 7)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P7"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-29), 80, 5+14*29)

neb229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 7)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 9"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-30),110, 5+14*30)

neb130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 9)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P9"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-30), 80, 5+14*30)

neb230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 9)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 11"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-31), 110, 5+14*31)

neb131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 11)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("P11"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-31), 80, 5+14*31)

neb231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 11)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 13"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-32), 110, 5+14*32)

neb132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 13)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("P13"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-32), 80, 5+14*32)

neb232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 13)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 15"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-33), 110, 5+14*33)

neb133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 15)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("P15"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-33), 80, 5+14*33)

neb233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 15)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 17"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-34), 110, 5+14*34)

neb134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 17)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("P17"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-34), 80, 5+14*34)

neb234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 17)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 19"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-35), 110, 5+14*35)

neb135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 19)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 8)
    :text(_("P19"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-35), 80, 5+14*35)

neb235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 19)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 21"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-36), 110, 5+14*36)

neb136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 21)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
---------------------------------------------------------------------
neb236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P21"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-36), 80, 5+14*36)

neb236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 21)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 3, 2+14*(gg-37), 3, 5+14*37)
--------------------------------
neb138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 3, 2+14*(gg-38), 3, 5+14*38)
--------------------------------
neb139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 3, 2+14*(gg-39), 3, 5+14*39)
--------------------------------
neb140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("Attention! Set the rendering"))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 3, 2+14*(gg-40), 3, 5+14*40)
--------------------------------
neb141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("OpenGL 2.0 command [Ctrl + V]"))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 3, 2+14*(gg-41), 3, 5+14*41)
-------------------------------
--[[
--------------------------------
neb140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("3D-galaxies by Dr. Fr. Schrempp"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-40), 2, 5+14*40)
--------------------------------
neb141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("3D-nebulae by Martin Charest"))
    :movable(false)
    :active(false) 
    :attach(nebulaFrame, 2, 2+14*(gg-41), 2, 5+14*41)
]]
--================
neb326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 2"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-26), 32, 5+14*26)

neb326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 2)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P2"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-26), 2, 5+14*26)

gal426Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 2)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 4"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-27), 32, 5+14*27)

neb327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 4)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P4"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-27), 2, 5+14*27)

gal427Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 4)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 6"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-28), 32, 5+14*28)

neb328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 6)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal428Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P6"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-28), 2, 5+14*28)

gal428Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 6)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 8"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-29), 32, 5+14*29)

neb329Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 8)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal429Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P8"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-29), 2, 5+14*29)

gal429Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 8)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 10"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-30), 32, 5+14*30)

neb330Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 10)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal430Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P10"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-30), 2, 5+14*30)

gal430Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 10)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 12"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-31), 32, 5+14*31)

neb331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 12)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P12"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-31), 2, 5+14*31)

gal431Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 12)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 14"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-32), 32, 5+14*32)

neb332Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 14)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal432Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P14"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-32), 2, 5+14*32)

gal432Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 14)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 16"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-33), 32, 5+14*33)

neb333Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 16)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal433Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P16"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-33), 2, 5+14*33)

gal433Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 16)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 18"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-34), 32, 5+14*34)

neb334Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 18)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal434Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P18"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-34), 2, 5+14*34)

gal434Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 18)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 20"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-35), 32, 5+14*35)

neb335Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 20)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal435Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P20"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-35), 2, 5+14*35)

gal435Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 20)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("PSR 22"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-36), 32, 5+14*36)

neb336Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Rémanent M81 (PSR 22)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
gal436Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("P22"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-36), 2, 5+14*36)

gal436Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("(PSR 22)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--=====================
neb137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,1,0,0.8})
    :textpos("center")    
    :movetext(-4, 9)
    :text(_("Barycenter PSR J0737-3039 AB"))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-37), 2, 5+14*37)

neb137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR J0737-3039 AB");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--================
neb138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-38), 110, 5+14*38)

neb138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-38), 80, 5+14*38)

neb238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--================
neb139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 2, 2+14*(gg-39), 110, 5+14*39)

neb139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 50, 2+14*(gg-39), 80, 5+14*39)

neb239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--=====================
neb338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-38), 32, 5+14*38)

neb338Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
-------------------------------
gal438Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-38), 2, 5+14*38)

gal438Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
neb339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 80, 2+14*(gg-39), 32, 5+14*39)

neb339Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();
--------------------------------
gal439Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,0,1,1})
    :textpos("left")    
    :movetext(-4, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(nebulaFrame, 128, 2+14*(gg-39), 2, 5+14*39)

gal439Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then               
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) ();